entity REGISTER_51K1M1835103 is
port (I0 : in BIT_VECTOR(7 downto 0);
      CLK, ASET, ARESET, CLOAD : in BIT;
      O0N : out BIT_VECTOR(7 downto 0));
end REGISTER_51K1M1835103;

architecture REGISTER_51K1M1835103_behavior of REGISTER_51K1M1835103 is
   COMPONENT DFF
     PORT (CLK, ff_set, ff_reset, I: in bit;
           O0, O0N : out bit);
   END COMPONENT;

   COMPONENT zero
     PORT (O0 : out bit);
   END COMPONENT;

-- HIERARCHY REGISTER_51K1M1835103_logic1.eqn
   COMPONENT REGISTER_51K1M1835103_logic1
     PORT (L1_LOAD, L1_NONE, ILOAD, INONE : in bit;
           O0 : out bit);
   END COMPONENT;

-- HIERARCHY REGISTER_51K1M1835103_logic2.eqn
   COMPONENT REGISTER_51K1M1835103_logic2
     PORT (I0 : in bit;
           O0 : out bit);
   END COMPONENT;

-- HIERARCHY REGISTER_51K1M1835103_logic3.eqn
   COMPONENT REGISTER_51K1M1835103_logic3
     PORT (I0, I1 : in bit;
           O0 : out bit);
   END COMPONENT;

-- HIERARCHY REGISTER_51K1M1835103_logic4.eqn
   COMPONENT REGISTER_51K1M1835103_logic4
     PORT (I0 : in bit;
           O0 : out bit);
     END COMPONENT;

   
SIGNAL D0, D1, D2, D3, D4, D5, D6, D7, SET0, RESLO, CNONE : bit;
SIGNAL TO0_0, TO0_1, TO0_2, TO0_3, TO0_4, TO0_5, TO0_6, TO0_7 : bit;
SIGNAL TO0N_0, TO0N_1, TO0N_2, TO0N_3, TO0N_4, TO0N_5, TO0N_6, TO0N_7 : bit;

BEGIN  -- REGISTER_51K1M1835103
   FF0: DFF port map(CLK, SET0, RESLO, D0, TO0_0, TO0N_0);
   FF1: DFF port map(CLK, ASET, ARESET, D1, TO0_1, TO0N_1);
   FF2: DFF port map(CLK, SET0, RESLO, D2, TO0_2, TO0N_2);
   FF3: DFF port map(CLK, ASET, ARESET, D3, TO0_3, TO0N_3);
   FF4: DFF port map(CLK, SET0, RESLO, D4, TO0_4, TO0N_4);
   FF5: DFF port map(CLK, SET0, RESLO, D5, TO0_5, TO0N_5);
   FF6: DFF port map(CLK, SET0, RESLO, D6, TO0_6, TO0N_6);
   FF7: DFF port map(CLK, SET0, RESLO, D7, TO0_7, TO0N_7);
   L1_0: REGISTER_51K1M1835103_logic1 port map(CLOAD, CNONE, I0(0), TO0_0, D0);
   L1_1: REGISTER_51K1M1835103_logic1 port map(CLOAD, CNONE, I0(1), TO0_1, D1);
   L1_2: REGISTER_51K1M1835103_logic1 port map(CLOAD, CNONE, I0(2), TO0_2, D2);
   L1_3: REGISTER_51K1M1835103_logic1 port map(CLOAD, CNONE, I0(3), TO0_3, D3);
   L1_4: REGISTER_51K1M1835103_logic1 port map(CLOAD, CNONE, I0(4), TO0_4, D4);
   L1_5: REGISTER_51K1M1835103_logic1 port map(CLOAD, CNONE, I0(5), TO0_5, D5);
   L1_6: REGISTER_51K1M1835103_logic1 port map(CLOAD, CNONE, I0(6), TO0_6, D6);
   L1_7: REGISTER_51K1M1835103_logic1 port map(CLOAD, CNONE, I0(7), TO0_7, D7);
   L2_0: REGISTER_51K1M1835103_logic2 port map(CLOAD, CNONE);
   C0: zero port map(SET0);
   L3_0: REGISTER_51K1M1835103_logic3 port map(ASET, ARESET, RESLO);
   L4_2: REGISTER_51K1M1835103_logic4 port map(TO0N_0,O0N(0));
   L4_3: REGISTER_51K1M1835103_logic4 port map(TO0N_1,O0N(1));
   L4_4: REGISTER_51K1M1835103_logic4 port map(TO0N_2,O0N(2));
   L4_5: REGISTER_51K1M1835103_logic4 port map(TO0N_3,O0N(3));
   L4_6: REGISTER_51K1M1835103_logic4 port map(TO0N_4,O0N(4));
   L4_7: REGISTER_51K1M1835103_logic4 port map(TO0N_5,O0N(5));
   L4_8: REGISTER_51K1M1835103_logic4 port map(TO0N_6,O0N(6));
   L4_9: REGISTER_51K1M1835103_logic4 port map(TO0N_7,O0N(7));
END REGISTER_51K1M1835103;


