entity ALU1 is 

  port(
    CADD0 : IN BIT;
    CSUB0 : IN BIT;
    I00 : IN BIT;
    I01 : IN BIT;
    I02 : IN BIT;
    I03 : IN BIT;
    I04 : IN BIT;
    I05 : IN BIT;
    I06 : IN BIT;
    I07 : IN BIT;
    I10 : IN BIT;
    I11 : IN BIT;
    I12 : IN BIT;
    I13 : IN BIT;
    I14 : IN BIT;
    I15 : IN BIT;
    I16 : IN BIT;
    I17 : IN BIT;
    ICIN0 : IN BIT;
    O00 : OUT BIT  ; 
    O01 : OUT BIT  ; 
    O02 : OUT BIT  ; 
    O03 : OUT BIT  ; 
    O04 : OUT BIT  ; 
    O05 : OUT BIT  ; 
    O06 : OUT BIT  ; 
    O07 : OUT BIT  ; 
    OCOUT0 : OUT BIT  ; 
    O10 : OUT BIT  ; 
    OZERO0 : OUT BIT  ; 
    OVF0 : OUT BIT   );

end ALU1 ;


-- LAYOUT_STYLE STANDARD_CELL


architecture Structure_View of ALU1 is

Component nand2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component inv1
  port (D : in BIT;
        O0 : out BIT);
end component;

Component or2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component nor2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component nand3
  port (I0 : in BIT;
        I1 : in BIT;
        I2 : in BIT;
        O0 : out BIT);
end component;

Component nand4
  port (I0 : in BIT;
        I1 : in BIT;
        I2 : in BIT;
        I3 : in BIT;
        O0 : out BIT);
end component;

Component nor3
  port (I0 : in BIT;
        I1 : in BIT;
        I2 : in BIT;
        O0 : out BIT);
end component;

Component zero
  port (        O0 : out BIT);
end component;

Component nor4
  port (I0 : in BIT;
        I1 : in BIT;
        I2 : in BIT;
        I3 : in BIT;
        O0 : out BIT);
end component;

Component inport
  port (D : in BIT;
        O0 : out BIT);
end component;

Component outport
  port (D : in BIT;
        O0 : out BIT);
end component;


  attribute celltype : integer;
  attribute celltype of nand2 : label is 0;
  attribute celltype of inv1 : label is 0;
  attribute celltype of or2 : label is 0;
  attribute celltype of nor2 : label is 0;
  attribute celltype of nand3 : label is 0;
  attribute celltype of nand4 : label is 0;
  attribute celltype of nor3 : label is 0;
  attribute celltype of zero : label is 0;
  attribute celltype of nor4 : label is 0;
  attribute celltype of latchd : label is 0;
  attribute celltype of inport : label is 0;
  attribute celltype of outport : label is 0;


  signal nG03: BIT ; 
  signal nG13: BIT ; 
  signal nG07: BIT ; 
  signal nG27: BIT ; 
  signal n9: BIT ; 
  signal n109: BIT ; 
  signal n111: BIT ; 
  signal n153: BIT ; 
  signal n157: BIT ; 
  signal n175: BIT ; 
  signal n193: BIT ; 
  signal n194: BIT ; 
  signal n195: BIT ; 
  signal n196: BIT ; 
  signal n197: BIT ; 
  signal n198: BIT ; 
  signal n199: BIT ; 
  signal n200: BIT ; 
  signal n201: BIT ; 
  signal n202: BIT ; 
  signal n215: BIT ; 
  signal n222: BIT ; 
  signal n539: BIT ; 
  signal n541: BIT ; 
  signal n544: BIT ; 
  signal n546: BIT ; 
  signal n547: BIT ; 
  signal n551: BIT ; 
  signal n552: BIT ; 
  signal n553: BIT ; 
  signal n554: BIT ; 
  signal n555: BIT ; 
  signal n556: BIT ; 
  signal n557: BIT ; 
  signal n559: BIT ; 
  signal n560: BIT ; 
  signal n561: BIT ; 
  signal n562: BIT ; 
  signal n563: BIT ; 
  signal n566: BIT ; 
  signal n568: BIT ; 
  signal n569: BIT ; 
  signal n570: BIT ; 
  signal n571: BIT ; 
  signal n573: BIT ; 
  signal n574: BIT ; 
  signal n575: BIT ; 
  signal n576: BIT ; 
  signal n578: BIT ; 
  signal n579: BIT ; 
  signal n580: BIT ; 
  signal n581: BIT ; 
  signal n582: BIT ; 
  signal n585: BIT ; 
  signal n587: BIT ; 
  signal n588: BIT ; 
  signal n589: BIT ; 
  signal n590: BIT ; 
  signal n591: BIT ; 
  signal n592: BIT ; 
  signal n595: BIT ; 
  signal n597: BIT ; 
  signal n598: BIT ; 
  signal n599: BIT ; 
  signal n600: BIT ; 
  signal n601: BIT ; 
  signal n606: BIT ; 
  signal n608: BIT ; 
  signal n609: BIT ; 
  signal n610: BIT ; 
  signal n611: BIT ; 
  signal n613: BIT ; 
  signal n716: BIT ; 
  signal n717: BIT ; 
  signal n719: BIT ; 
  signal n793: BIT ; 
  signal n799: BIT ; 
  signal n805: BIT ; 
  signal n811: BIT ; 
  signal n817: BIT ; 
  signal n823: BIT ; 
  signal n829: BIT ; 
  signal n836: BIT ; 
  signal n839: BIT ; 
  signal n841: BIT ; 
  signal n847: BIT ; 
  signal n853: BIT ; 
  signal n855: BIT ; 
  signal n857: BIT ; 
  signal n859: BIT ; 
  signal n863: BIT ; 
  signal n865: BIT ; 
  signal n871: BIT ; 
  signal n872: BIT ; 
  signal n877: BIT ; 
  signal n879: BIT ; 
  signal n880: BIT ; 
  signal n892: BIT ; 
  signal n900: BIT ; 
  signal n906: BIT ; 
  signal n918: BIT ; 
  signal n966: BIT ; 
  signal n969: BIT ; 
  signal n972: BIT ; 
  signal n975: BIT ; 
  signal n978: BIT ; 
  signal n982: BIT ; 
  signal n1005: BIT ; 
  signal n1007: BIT ; 
  signal n1009: BIT ; 
  signal n1011: BIT ; 
  signal n1013: BIT ; 
  signal n1015: BIT ; 
  signal n1017: BIT ; 
  signal n1019: BIT ; 
  signal n1021: BIT ; 
  signal n1030: BIT ; 
  signal n1033: BIT ; 
  signal n1036: BIT ; 
  signal n1039: BIT ; 
  signal n1042: BIT ; 
  signal n1045: BIT ; 
  signal n1047: BIT ; 
  signal n1049: BIT ; 
  signal n1051: BIT ; 
  signal n1053: BIT ; 
  signal n1059: BIT ; 
  signal n1061: BIT ; 
  signal n1063: BIT ; 
  signal n1065: BIT ; 
  signal n1067: BIT ; 
  signal n1069: BIT ; 
  signal n1071: BIT ; 
  signal n1073: BIT ; 
  signal n1075: BIT ; 
  signal n1077: BIT ; 
  signal n1079: BIT ; 
  signal n1081: BIT ; 
  signal n1083: BIT ; 
  signal n1085: BIT ; 
  signal n1087: BIT ; 
  signal n1089: BIT ; 
  signal n1091: BIT ; 
  signal n1093: BIT ; 
  signal n1095: BIT ; 
  signal n1097: BIT ; 
  signal n1099: BIT ; 
  signal n1101: BIT ; 
  signal n1103: BIT ; 
  signal n1105: BIT ; 
  signal n1107: BIT ; 
  signal n1109: BIT ; 
  signal n1111: BIT ; 
  signal n1113: BIT ; 
  signal n1115: BIT ; 
  signal n1117: BIT ; 
  signal n1119: BIT ; 
  signal n1121: BIT ; 
  signal n1125: BIT ; 
  signal n1129: BIT ; 
  signal n1131: BIT ; 
  signal n1133: BIT ; 
  signal n1135: BIT ; 
  signal n1137: BIT ; 
  signal n1139: BIT ; 
  signal n1141: BIT ; 
  signal n1143: BIT ; 
  signal n1145: BIT ; 
  signal n1147: BIT ; 
  signal n1149: BIT ; 
  signal n1151: BIT ; 
  signal n1153: BIT ; 
  signal n1155: BIT ; 
  signal n1159: BIT ; 
  signal n1161: BIT ; 
  signal n1163: BIT ; 
  signal n1165: BIT ; 
  signal n1167: BIT ; 
  signal n1169: BIT ; 
  signal n1171: BIT ; 
  signal n1173: BIT ; 
  signal n1175: BIT ; 
  signal n1177: BIT ; 
  signal n1179: BIT ; 
  signal n1181: BIT ; 
  signal n1185: BIT ; 
  signal n1211: BIT ; 
  signal n1213: BIT ; 
  signal n1214: BIT ; 
  signal n1217: BIT ; 
  signal n1220: BIT ; 
  signal n1223: BIT ; 
  signal n1225: BIT ; 
  signal n1226: BIT ; 
  signal n1229: BIT ; 
  signal n1232: BIT ; 
  signal n1235: BIT ; 
  signal CADD0_PORT : BIT ; 
  signal CSUB0_PORT : BIT ; 
  signal I00_PORT : BIT ; 
  signal I01_PORT : BIT ; 
  signal I02_PORT : BIT ; 
  signal I03_PORT : BIT ; 
  signal I04_PORT : BIT ; 
  signal I05_PORT : BIT ; 
  signal I06_PORT : BIT ; 
  signal I07_PORT : BIT ; 
  signal I10_PORT : BIT ; 
  signal I11_PORT : BIT ; 
  signal I12_PORT : BIT ; 
  signal I13_PORT : BIT ; 
  signal I14_PORT : BIT ; 
  signal I15_PORT : BIT ; 
  signal I16_PORT : BIT ; 
  signal I17_PORT : BIT ; 
  signal ICIN0_PORT : BIT ; 

begin

nand2_0 : nand2 port map (I0 => I10_PORT, I1 => CADD0_PORT, O0 => n1185);

inv1_0 : inv1 port map (D => CADD0_PORT, O0 => n541);

inv1_1 : inv1 port map (D => CSUB0_PORT, O0 => n539);

nand2_1 : nand2 port map (I0 => n541, I1 => n539, O0 => n1007);

nand2_2 : nand2 port map (I0 => n1007, I1 => I00_PORT, O0 => n546);

nand2_3 : nand2 port map (I0 => n541, I1 => n539, O0 => n1005);

nand2_4 : nand2 port map (I0 => n1005, I1 => ICIN0_PORT, O0 => n544);

inv1_2 : inv1 port map (D => n544, O0 => n719);

nand2_5 : nand2 port map (I0 => n546, I1 => n719, O0 => n1179);

inv1_3 : inv1 port map (D => n1223, O0 => n1181);

nand2_6 : nand2 port map (I0 => n1179, I1 => n1181, O0 => n547);

inv1_4 : inv1 port map (D => n1217, O0 => n1175);

nand2_7 : nand2 port map (I0 => n547, I1 => n1214, O0 => n1177);

nand2_8 : nand2 port map (I0 => n1175, I1 => n1177, O0 => n202);

nand2_9 : nand2 port map (I0 => n546, I1 => n1214, O0 => n836);

nand2_10 : nand2 port map (I0 => n836, I1 => n719, O0 => n1173);

nand2_11 : nand2 port map (I0 => n541, I1 => n539, O0 => n1009);

nand2_12 : nand2 port map (I0 => n1009, I1 => I01_PORT, O0 => n551);

inv1_5 : inv1 port map (D => I11_PORT, O0 => n552);

nand2_13 : nand2 port map (I0 => n552, I1 => CSUB0_PORT, O0 => n1169);

nand2_14 : nand2 port map (I0 => CADD0_PORT, I1 => I11_PORT, O0 => n1171);

nand2_15 : nand2 port map (I0 => n1169, I1 => n1171, O0 => n553);

or2_0 : or2 port map (I0 => n551, I1 => n553, O0 => n1165);

nand2_16 : nand2 port map (I0 => n551, I1 => n553, O0 => n1167);

nand2_17 : nand2 port map (I0 => n1165, I1 => n1167, O0 => n554);

inv1_6 : inv1 port map (D => n1229, O0 => n1161);

nand2_18 : nand2 port map (I0 => n554, I1 => n1226, O0 => n1163);

nand2_19 : nand2 port map (I0 => n1161, I1 => n1163, O0 => n201);

inv1_7 : inv1 port map (D => n553, O0 => n793);

nand2_20 : nand2 port map (I0 => n551, I1 => n793, O0 => n841);

nand2_21 : nand2 port map (I0 => n836, I1 => n841, O0 => n556);

nor2_0 : nor2 port map (I0 => n544, I1 => n556, O0 => n175);

or2_1 : or2 port map (I0 => n793, I1 => n551, O0 => n839);

nand2_22 : nand2 port map (I0 => n841, I1 => n1220, O0 => n1159);

nand2_23 : nand2 port map (I0 => n839, I1 => n1159, O0 => n555);

or2_2 : or2 port map (I0 => n175, I1 => n555, O0 => n557);

nand2_24 : nand2 port map (I0 => n541, I1 => n539, O0 => n1011);

nand2_25 : nand2 port map (I0 => n1011, I1 => I02_PORT, O0 => n559);

inv1_8 : inv1 port map (D => I12_PORT, O0 => n560);

nand2_26 : nand2 port map (I0 => n560, I1 => CSUB0_PORT, O0 => n1153);

nand2_27 : nand2 port map (I0 => CADD0_PORT, I1 => I12_PORT, O0 => n1155);

nand2_28 : nand2 port map (I0 => n1153, I1 => n1155, O0 => n561);

or2_3 : or2 port map (I0 => n559, I1 => n561, O0 => n1149);

nand2_29 : nand2 port map (I0 => n559, I1 => n561, O0 => n1151);

nand2_30 : nand2 port map (I0 => n1149, I1 => n1151, O0 => n562);

inv1_9 : inv1 port map (D => n562, O0 => n1030);

nand2_31 : nand2 port map (I0 => n557, I1 => n1030, O0 => n1145);

inv1_10 : inv1 port map (D => n557, O0 => n966);

nand2_32 : nand2 port map (I0 => n562, I1 => n966, O0 => n1147);

nand2_33 : nand2 port map (I0 => n1145, I1 => n1147, O0 => n200);

inv1_11 : inv1 port map (D => n561, O0 => n799);

nand2_34 : nand2 port map (I0 => n559, I1 => n799, O0 => n847);

inv1_12 : inv1 port map (D => n556, O0 => n880);

nand3_0 : nand3 port map (I0 => n719, I1 => n847, I2 => n880, O0 => n1141);

or2_4 : or2 port map (I0 => n799, I1 => n559, O0 => n563);

nand2_35 : nand2 port map (I0 => n847, I1 => n555, O0 => n1143);

nand3_1 : nand3 port map (I0 => n1141, I1 => n563, I2 => n1143, O0 => n566);

nand2_36 : nand2 port map (I0 => n541, I1 => n539, O0 => n1013);

nand2_37 : nand2 port map (I0 => n1013, I1 => I03_PORT, O0 => n568);

inv1_13 : inv1 port map (D => I13_PORT, O0 => n569);

nand2_38 : nand2 port map (I0 => n569, I1 => CSUB0_PORT, O0 => n1137);

nand2_39 : nand2 port map (I0 => CADD0_PORT, I1 => I13_PORT, O0 => n1139);

nand2_40 : nand2 port map (I0 => n1137, I1 => n1139, O0 => n570);

or2_5 : or2 port map (I0 => n568, I1 => n570, O0 => n1133);

nand2_41 : nand2 port map (I0 => n568, I1 => n570, O0 => n1135);

nand2_42 : nand2 port map (I0 => n1133, I1 => n1135, O0 => n571);

inv1_14 : inv1 port map (D => n571, O0 => n1033);

nand2_43 : nand2 port map (I0 => n566, I1 => n1033, O0 => n1129);

inv1_15 : inv1 port map (D => n566, O0 => n969);

nand2_44 : nand2 port map (I0 => n571, I1 => n969, O0 => n1131);

nand2_45 : nand2 port map (I0 => n1129, I1 => n1131, O0 => n199);

inv1_16 : inv1 port map (D => n570, O0 => n805);

nand2_46 : nand2 port map (I0 => n568, I1 => n805, O0 => n853);

nand2_47 : nand2 port map (I0 => n847, I1 => n853, O0 => n573);

inv1_17 : inv1 port map (D => n573, O0 => n892);

nand2_48 : nand2 port map (I0 => n880, I1 => n892, O0 => n575);

nor2_1 : nor2 port map (I0 => n544, I1 => n575, O0 => n153);

nand2_49 : nand2 port map (I0 => n555, I1 => n892, O0 => n1125);

nor2_2 : nor2 port map (I0 => n805, I1 => n568, O0 => nG03);

inv1_18 : inv1 port map (D => n853, O0 => n855);

nor2_3 : nor2 port map (I0 => n855, I1 => n563, O0 => n157);

nor2_4 : nor2 port map (I0 => nG03, I1 => n157, O0 => nG13);

nand2_50 : nand2 port map (I0 => n1125, I1 => nG13, O0 => n574);

or2_6 : or2 port map (I0 => n153, I1 => n574, O0 => n576);

nand2_51 : nand2 port map (I0 => n541, I1 => n539, O0 => n1015);

nand2_52 : nand2 port map (I0 => n1015, I1 => I04_PORT, O0 => n578);

inv1_19 : inv1 port map (D => I14_PORT, O0 => n579);

nand2_53 : nand2 port map (I0 => n579, I1 => CSUB0_PORT, O0 => n1119);

nand2_54 : nand2 port map (I0 => CADD0_PORT, I1 => I14_PORT, O0 => n1121);

nand2_55 : nand2 port map (I0 => n1119, I1 => n1121, O0 => n580);

or2_7 : or2 port map (I0 => n578, I1 => n580, O0 => n1115);

nand2_56 : nand2 port map (I0 => n578, I1 => n580, O0 => n1117);

nand2_57 : nand2 port map (I0 => n1115, I1 => n1117, O0 => n581);

inv1_20 : inv1 port map (D => n581, O0 => n1036);

nand2_58 : nand2 port map (I0 => n576, I1 => n1036, O0 => n1111);

inv1_21 : inv1 port map (D => n576, O0 => n972);

nand2_59 : nand2 port map (I0 => n581, I1 => n972, O0 => n1113);

nand2_60 : nand2 port map (I0 => n1111, I1 => n1113, O0 => n198);

inv1_22 : inv1 port map (D => n580, O0 => n811);

nand2_61 : nand2 port map (I0 => n578, I1 => n811, O0 => n859);

inv1_23 : inv1 port map (D => n575, O0 => n918);

nand3_2 : nand3 port map (I0 => n719, I1 => n859, I2 => n918, O0 => n1107);

or2_8 : or2 port map (I0 => n811, I1 => n578, O0 => n582);

nand2_62 : nand2 port map (I0 => n859, I1 => n574, O0 => n1109);

nand3_3 : nand3 port map (I0 => n1107, I1 => n582, I2 => n1109, O0 => n585);

nand2_63 : nand2 port map (I0 => n541, I1 => n539, O0 => n1017);

nand2_64 : nand2 port map (I0 => n1017, I1 => I05_PORT, O0 => n587);

inv1_24 : inv1 port map (D => I15_PORT, O0 => n588);

nand2_65 : nand2 port map (I0 => n588, I1 => CSUB0_PORT, O0 => n1103);

nand2_66 : nand2 port map (I0 => CADD0_PORT, I1 => I15_PORT, O0 => n1105);

nand2_67 : nand2 port map (I0 => n1103, I1 => n1105, O0 => n589);

or2_9 : or2 port map (I0 => n587, I1 => n589, O0 => n1099);

nand2_68 : nand2 port map (I0 => n587, I1 => n589, O0 => n1101);

nand2_69 : nand2 port map (I0 => n1099, I1 => n1101, O0 => n590);

inv1_25 : inv1 port map (D => n590, O0 => n1039);

nand2_70 : nand2 port map (I0 => n585, I1 => n1039, O0 => n1095);

inv1_26 : inv1 port map (D => n585, O0 => n975);

nand2_71 : nand2 port map (I0 => n590, I1 => n975, O0 => n1097);

nand2_72 : nand2 port map (I0 => n1095, I1 => n1097, O0 => n197);

inv1_27 : inv1 port map (D => n589, O0 => n817);

nand2_73 : nand2 port map (I0 => n587, I1 => n817, O0 => n865);

nand2_74 : nand2 port map (I0 => n859, I1 => n865, O0 => n592);

inv1_28 : inv1 port map (D => n592, O0 => n900);

nand3_4 : nand3 port map (I0 => n719, I1 => n918, I2 => n900, O0 => n1089);

nand2_75 : nand2 port map (I0 => n574, I1 => n900, O0 => n1091);

or2_10 : or2 port map (I0 => n817, I1 => n587, O0 => n863);

inv1_29 : inv1 port map (D => n582, O0 => n857);

nand2_76 : nand2 port map (I0 => n865, I1 => n857, O0 => n1093);

nand2_77 : nand2 port map (I0 => n863, I1 => n1093, O0 => n591);

inv1_30 : inv1 port map (D => n591, O0 => n906);

nand3_5 : nand3 port map (I0 => n1089, I1 => n1091, I2 => n906, O0 => n595);

nand2_78 : nand2 port map (I0 => n541, I1 => n539, O0 => n1019);

nand2_79 : nand2 port map (I0 => n1019, I1 => I06_PORT, O0 => n597);

inv1_31 : inv1 port map (D => I16_PORT, O0 => n598);

nand2_80 : nand2 port map (I0 => n598, I1 => CSUB0_PORT, O0 => n1085);

nand2_81 : nand2 port map (I0 => CADD0_PORT, I1 => I16_PORT, O0 => n1087);

nand2_82 : nand2 port map (I0 => n1085, I1 => n1087, O0 => n599);

or2_11 : or2 port map (I0 => n597, I1 => n599, O0 => n1081);

nand2_83 : nand2 port map (I0 => n597, I1 => n599, O0 => n1083);

nand2_84 : nand2 port map (I0 => n1081, I1 => n1083, O0 => n600);

inv1_32 : inv1 port map (D => n600, O0 => n1042);

nand2_85 : nand2 port map (I0 => n595, I1 => n1042, O0 => n1077);

inv1_33 : inv1 port map (D => n595, O0 => n978);

nand2_86 : nand2 port map (I0 => n600, I1 => n978, O0 => n1079);

nand2_87 : nand2 port map (I0 => n1077, I1 => n1079, O0 => n196);

inv1_34 : inv1 port map (D => n599, O0 => n823);

nand2_88 : nand2 port map (I0 => n597, I1 => n823, O0 => n871);

nand3_6 : nand3 port map (I0 => n719, I1 => n918, I2 => n1232, O0 => n1071);

nand2_89 : nand2 port map (I0 => n574, I1 => n1232, O0 => n1073);

or2_12 : or2 port map (I0 => n823, I1 => n597, O0 => n601);

inv1_35 : inv1 port map (D => n871, O0 => n872);

or2_13 : or2 port map (I0 => n872, I1 => n906, O0 => n1075);

nand4_0 : nand4 port map (I0 => n1071, I1 => n1073, I2 => n601, I3 => n1075, O0 => n606);

nand2_90 : nand2 port map (I0 => n541, I1 => n539, O0 => n1021);

nand2_91 : nand2 port map (I0 => n1021, I1 => I07_PORT, O0 => n608);

inv1_36 : inv1 port map (D => I17_PORT, O0 => n609);

nand2_92 : nand2 port map (I0 => n609, I1 => CSUB0_PORT, O0 => n1067);

nand2_93 : nand2 port map (I0 => CADD0_PORT, I1 => I17_PORT, O0 => n1069);

nand2_94 : nand2 port map (I0 => n1067, I1 => n1069, O0 => n610);

or2_14 : or2 port map (I0 => n608, I1 => n610, O0 => n1063);

nand2_95 : nand2 port map (I0 => n608, I1 => n610, O0 => n1065);

nand2_96 : nand2 port map (I0 => n1063, I1 => n1065, O0 => n611);

inv1_37 : inv1 port map (D => n611, O0 => n1045);

nand2_97 : nand2 port map (I0 => n606, I1 => n1045, O0 => n1059);

inv1_38 : inv1 port map (D => n606, O0 => n982);

nand2_98 : nand2 port map (I0 => n611, I1 => n982, O0 => n1061);

nand2_99 : nand2 port map (I0 => n1059, I1 => n1061, O0 => n195);

inv1_39 : inv1 port map (D => n610, O0 => n829);

nand2_100 : nand2 port map (I0 => n608, I1 => n829, O0 => n877);

nand2_101 : nand2 port map (I0 => n871, I1 => n877, O0 => n613);

nand3_7 : nand3 port map (I0 => n719, I1 => n918, I2 => n1235, O0 => n1051);

nand2_102 : nand2 port map (I0 => n574, I1 => n1235, O0 => n1053);

nor2_5 : nor2 port map (I0 => n906, I1 => n613, O0 => n109);

nor2_6 : nor2 port map (I0 => n829, I1 => n608, O0 => nG07);

inv1_40 : inv1 port map (D => n877, O0 => n879);

nor2_7 : nor2 port map (I0 => n879, I1 => n601, O0 => n111);

nor3_0 : nor3 port map (I0 => n109, I1 => nG07, I2 => n111, O0 => nG27);

nand3_8 : nand3 port map (I0 => n1051, I1 => n1053, I2 => nG27, O0 => n194);

zero_0 : zero port map (O0 => n9);

nor4_0 : nor4 port map (I0 => n201, I1 => n202, I2 => n199, I3 => n200, O0 => n222);

nor4_1 : nor4 port map (I0 => n197, I1 => n198, I2 => n195, I3 => n196, O0 => n215);

nand2_103 : nand2 port map (I0 => n222, I1 => n215, O0 => n716);

inv1_41 : inv1 port map (D => n716, O0 => n717);

or2_15 : or2 port map (I0 => n982, I1 => n194, O0 => n1047);

nand2_104 : nand2 port map (I0 => n194, I1 => n982, O0 => n1049);

nand2_105 : nand2 port map (I0 => n1047, I1 => n1049, O0 => n193);

nor2_8 : nor2 port map (I0 => I10_PORT, I1 => n539, O0 => n1211);

inv1_42 : inv1 port map (D => n1185, O0 => n1213);

nor2_9 : nor2 port map (I0 => n1211, I1 => n1213, O0 => n1214);

nor2_10 : nor2 port map (I0 => n1214, I1 => n547, O0 => n1217);

nor2_11 : nor2 port map (I0 => n1214, I1 => n546, O0 => n1220);

nor2_12 : nor2 port map (I0 => n719, I1 => n546, O0 => n1223);

inv1_43 : inv1 port map (D => n1173, O0 => n1225);

nor2_13 : nor2 port map (I0 => n1220, I1 => n1225, O0 => n1226);

nor2_14 : nor2 port map (I0 => n1226, I1 => n554, O0 => n1229);

nor2_15 : nor2 port map (I0 => n872, I1 => n592, O0 => n1232);

nor2_16 : nor2 port map (I0 => n592, I1 => n613, O0 => n1235);

inport0 : inport port map (D => CADD0, O0 => CADD0_PORT);
inport1 : inport port map (D => CSUB0, O0 => CSUB0_PORT);
inport2 : inport port map (D => I00, O0 => I00_PORT);
inport3 : inport port map (D => I01, O0 => I01_PORT);
inport4 : inport port map (D => I02, O0 => I02_PORT);
inport5 : inport port map (D => I03, O0 => I03_PORT);
inport6 : inport port map (D => I04, O0 => I04_PORT);
inport7 : inport port map (D => I05, O0 => I05_PORT);
inport8 : inport port map (D => I06, O0 => I06_PORT);
inport9 : inport port map (D => I07, O0 => I07_PORT);
inport10 : inport port map (D => I10, O0 => I10_PORT);
inport11 : inport port map (D => I11, O0 => I11_PORT);
inport12 : inport port map (D => I12, O0 => I12_PORT);
inport13 : inport port map (D => I13, O0 => I13_PORT);
inport14 : inport port map (D => I14, O0 => I14_PORT);
inport15 : inport port map (D => I15, O0 => I15_PORT);
inport16 : inport port map (D => I16, O0 => I16_PORT);
inport17 : inport port map (D => I17, O0 => I17_PORT);
inport18 : inport port map (D => ICIN0, O0 => ICIN0_PORT);
outport0 : outport port map (D => n202, O0 => O00);
outport1 : outport port map (D => n201, O0 => O01);
outport2 : outport port map (D => n200, O0 => O02);
outport3 : outport port map (D => n199, O0 => O03);
outport4 : outport port map (D => n198, O0 => O04);
outport5 : outport port map (D => n197, O0 => O05);
outport6 : outport port map (D => n196, O0 => O06);
outport7 : outport port map (D => n195, O0 => O07);
outport8 : outport port map (D => n194, O0 => OCOUT0);
outport9 : outport port map (D => n9, O0 => O10);
outport10 : outport port map (D => n717, O0 => OZERO0);
outport11 : outport port map (D => n193, O0 => OVF0);

end Structure_View;

