entity ALU2 is 

  port(
    CADD0 : IN BIT;
    CSUB0 : IN BIT;
    I00 : IN BIT;
    I01 : IN BIT;
    I02 : IN BIT;
    I03 : IN BIT;
    I04 : IN BIT;
    I05 : IN BIT;
    I06 : IN BIT;
    I07 : IN BIT;
    I10 : IN BIT;
    I11 : IN BIT;
    I12 : IN BIT;
    I13 : IN BIT;
    I14 : IN BIT;
    I15 : IN BIT;
    I16 : IN BIT;
    I17 : IN BIT;
    ICIN0 : IN BIT;
    O00 : OUT BIT  ; 
    O01 : OUT BIT  ; 
    O02 : OUT BIT  ; 
    O03 : OUT BIT  ; 
    O04 : OUT BIT  ; 
    O05 : OUT BIT  ; 
    O06 : OUT BIT  ; 
    O07 : OUT BIT  ; 
    OCOUT0 : OUT BIT  ; 
    O10 : OUT BIT  ; 
    OZERO0 : OUT BIT  ; 
    OVF0 : OUT BIT   );

end ALU2 ;


-- LAYOUT_STYLE STANDARD_CELL


architecture Structure_View of ALU2 is

Component nand2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component inv1
  port (D : in BIT;
        O0 : out BIT);
end component;

Component nor2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component or2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component zero
  port (        O0 : out BIT);
end component;

Component nor4
  port (I0 : in BIT;
        I1 : in BIT;
        I2 : in BIT;
        I3 : in BIT;
        O0 : out BIT);
end component;

Component inport
  port (D : in BIT;
        O0 : out BIT);
end component;

Component outport
  port (D : in BIT;
        O0 : out BIT);
end component;


  attribute celltype : integer;
  attribute celltype of nand2 : label is 0;
  attribute celltype of inv1 : label is 0;
  attribute celltype of nor2 : label is 0;
  attribute celltype of or2 : label is 0;
  attribute celltype of zero : label is 0;
  attribute celltype of nor4 : label is 0;
  attribute celltype of latchd : label is 0;
  attribute celltype of inport : label is 0;
  attribute celltype of outport : label is 0;


  signal n9: BIT ; 
  signal n95: BIT ; 
  signal n96: BIT ; 
  signal n97: BIT ; 
  signal n98: BIT ; 
  signal n99: BIT ; 
  signal n100: BIT ; 
  signal n101: BIT ; 
  signal n102: BIT ; 
  signal n177: BIT ; 
  signal n178: BIT ; 
  signal n179: BIT ; 
  signal n180: BIT ; 
  signal n181: BIT ; 
  signal n182: BIT ; 
  signal n183: BIT ; 
  signal n184: BIT ; 
  signal n185: BIT ; 
  signal n186: BIT ; 
  signal n199: BIT ; 
  signal n206: BIT ; 
  signal n451: BIT ; 
  signal n453: BIT ; 
  signal n456: BIT ; 
  signal n458: BIT ; 
  signal n459: BIT ; 
  signal n460: BIT ; 
  signal n462: BIT ; 
  signal n463: BIT ; 
  signal n464: BIT ; 
  signal n465: BIT ; 
  signal n466: BIT ; 
  signal n468: BIT ; 
  signal n469: BIT ; 
  signal n470: BIT ; 
  signal n471: BIT ; 
  signal n472: BIT ; 
  signal n474: BIT ; 
  signal n475: BIT ; 
  signal n476: BIT ; 
  signal n477: BIT ; 
  signal n478: BIT ; 
  signal n480: BIT ; 
  signal n481: BIT ; 
  signal n482: BIT ; 
  signal n483: BIT ; 
  signal n484: BIT ; 
  signal n486: BIT ; 
  signal n487: BIT ; 
  signal n488: BIT ; 
  signal n489: BIT ; 
  signal n490: BIT ; 
  signal n492: BIT ; 
  signal n493: BIT ; 
  signal n494: BIT ; 
  signal n495: BIT ; 
  signal n496: BIT ; 
  signal n498: BIT ; 
  signal n499: BIT ; 
  signal n500: BIT ; 
  signal n501: BIT ; 
  signal n600: BIT ; 
  signal n601: BIT ; 
  signal n604: BIT ; 
  signal n610: BIT ; 
  signal n615: BIT ; 
  signal n621: BIT ; 
  signal n627: BIT ; 
  signal n633: BIT ; 
  signal n639: BIT ; 
  signal n645: BIT ; 
  signal n651: BIT ; 
  signal n704: BIT ; 
  signal n708: BIT ; 
  signal n712: BIT ; 
  signal n716: BIT ; 
  signal n720: BIT ; 
  signal n724: BIT ; 
  signal n729: BIT ; 
  signal n752: BIT ; 
  signal n754: BIT ; 
  signal n756: BIT ; 
  signal n758: BIT ; 
  signal n760: BIT ; 
  signal n762: BIT ; 
  signal n764: BIT ; 
  signal n766: BIT ; 
  signal n768: BIT ; 
  signal n790: BIT ; 
  signal n793: BIT ; 
  signal n796: BIT ; 
  signal n799: BIT ; 
  signal n802: BIT ; 
  signal n805: BIT ; 
  signal n808: BIT ; 
  signal n810: BIT ; 
  signal n812: BIT ; 
  signal n814: BIT ; 
  signal n816: BIT ; 
  signal n818: BIT ; 
  signal n820: BIT ; 
  signal n822: BIT ; 
  signal n824: BIT ; 
  signal n826: BIT ; 
  signal n828: BIT ; 
  signal n830: BIT ; 
  signal n832: BIT ; 
  signal n834: BIT ; 
  signal n836: BIT ; 
  signal n838: BIT ; 
  signal n840: BIT ; 
  signal n842: BIT ; 
  signal n844: BIT ; 
  signal n846: BIT ; 
  signal n848: BIT ; 
  signal n850: BIT ; 
  signal n852: BIT ; 
  signal n854: BIT ; 
  signal n856: BIT ; 
  signal n858: BIT ; 
  signal n860: BIT ; 
  signal n862: BIT ; 
  signal n864: BIT ; 
  signal n866: BIT ; 
  signal n868: BIT ; 
  signal n870: BIT ; 
  signal n872: BIT ; 
  signal n874: BIT ; 
  signal n876: BIT ; 
  signal n878: BIT ; 
  signal n880: BIT ; 
  signal n882: BIT ; 
  signal n884: BIT ; 
  signal n886: BIT ; 
  signal n888: BIT ; 
  signal n890: BIT ; 
  signal n892: BIT ; 
  signal n894: BIT ; 
  signal n896: BIT ; 
  signal n898: BIT ; 
  signal n900: BIT ; 
  signal n902: BIT ; 
  signal n904: BIT ; 
  signal n906: BIT ; 
  signal n908: BIT ; 
  signal n910: BIT ; 
  signal n912: BIT ; 
  signal n914: BIT ; 
  signal n916: BIT ; 
  signal n918: BIT ; 
  signal n920: BIT ; 
  signal n922: BIT ; 
  signal n924: BIT ; 
  signal n926: BIT ; 
  signal n928: BIT ; 
  signal n930: BIT ; 
  signal n932: BIT ; 
  signal n934: BIT ; 
  signal n936: BIT ; 
  signal n940: BIT ; 
  signal n966: BIT ; 
  signal n968: BIT ; 
  signal n969: BIT ; 
  signal n972: BIT ; 
  signal CADD0_PORT : BIT ; 
  signal CSUB0_PORT : BIT ; 
  signal I00_PORT : BIT ; 
  signal I01_PORT : BIT ; 
  signal I02_PORT : BIT ; 
  signal I03_PORT : BIT ; 
  signal I04_PORT : BIT ; 
  signal I05_PORT : BIT ; 
  signal I06_PORT : BIT ; 
  signal I07_PORT : BIT ; 
  signal I10_PORT : BIT ; 
  signal I11_PORT : BIT ; 
  signal I12_PORT : BIT ; 
  signal I13_PORT : BIT ; 
  signal I14_PORT : BIT ; 
  signal I15_PORT : BIT ; 
  signal I16_PORT : BIT ; 
  signal I17_PORT : BIT ; 
  signal ICIN0_PORT : BIT ; 

begin

nand2_0 : nand2 port map (I0 => I10_PORT, I1 => CADD0_PORT, O0 => n940);

inv1_0 : inv1 port map (D => CADD0_PORT, O0 => n453);

inv1_1 : inv1 port map (D => CSUB0_PORT, O0 => n451);

nand2_1 : nand2 port map (I0 => n453, I1 => n451, O0 => n754);

nand2_2 : nand2 port map (I0 => n754, I1 => I00_PORT, O0 => n458);

nand2_3 : nand2 port map (I0 => n453, I1 => n451, O0 => n752);

nand2_4 : nand2 port map (I0 => n752, I1 => ICIN0_PORT, O0 => n456);

inv1_2 : inv1 port map (D => n456, O0 => n604);

nand2_5 : nand2 port map (I0 => n458, I1 => n604, O0 => n934);

inv1_3 : inv1 port map (D => n458, O0 => n610);

nand2_6 : nand2 port map (I0 => n456, I1 => n610, O0 => n936);

nand2_7 : nand2 port map (I0 => n934, I1 => n936, O0 => n459);

inv1_4 : inv1 port map (D => n972, O0 => n930);

nand2_8 : nand2 port map (I0 => n459, I1 => n969, O0 => n932);

nand2_9 : nand2 port map (I0 => n930, I1 => n932, O0 => n186);

nor2_0 : nor2 port map (I0 => n604, I1 => n610, O0 => n95);

or2_0 : or2 port map (I0 => n969, I1 => n95, O0 => n926);

nand2_10 : nand2 port map (I0 => n604, I1 => n610, O0 => n928);

nand2_11 : nand2 port map (I0 => n926, I1 => n928, O0 => n460);

nand2_12 : nand2 port map (I0 => n453, I1 => n451, O0 => n756);

nand2_13 : nand2 port map (I0 => n756, I1 => I01_PORT, O0 => n462);

inv1_5 : inv1 port map (D => I11_PORT, O0 => n463);

nand2_14 : nand2 port map (I0 => n463, I1 => CSUB0_PORT, O0 => n922);

nand2_15 : nand2 port map (I0 => CADD0_PORT, I1 => I11_PORT, O0 => n924);

nand2_16 : nand2 port map (I0 => n922, I1 => n924, O0 => n464);

or2_1 : or2 port map (I0 => n462, I1 => n464, O0 => n918);

nand2_17 : nand2 port map (I0 => n462, I1 => n464, O0 => n920);

nand2_18 : nand2 port map (I0 => n918, I1 => n920, O0 => n465);

inv1_6 : inv1 port map (D => n465, O0 => n790);

nand2_19 : nand2 port map (I0 => n460, I1 => n790, O0 => n914);

inv1_7 : inv1 port map (D => n460, O0 => n704);

nand2_20 : nand2 port map (I0 => n465, I1 => n704, O0 => n916);

nand2_21 : nand2 port map (I0 => n914, I1 => n916, O0 => n185);

inv1_8 : inv1 port map (D => n462, O0 => n615);

nor2_1 : nor2 port map (I0 => n615, I1 => n464, O0 => n96);

or2_2 : or2 port map (I0 => n704, I1 => n96, O0 => n910);

nand2_22 : nand2 port map (I0 => n464, I1 => n615, O0 => n912);

nand2_23 : nand2 port map (I0 => n910, I1 => n912, O0 => n466);

nand2_24 : nand2 port map (I0 => n453, I1 => n451, O0 => n758);

nand2_25 : nand2 port map (I0 => n758, I1 => I02_PORT, O0 => n468);

inv1_9 : inv1 port map (D => I12_PORT, O0 => n469);

nand2_26 : nand2 port map (I0 => n469, I1 => CSUB0_PORT, O0 => n906);

nand2_27 : nand2 port map (I0 => CADD0_PORT, I1 => I12_PORT, O0 => n908);

nand2_28 : nand2 port map (I0 => n906, I1 => n908, O0 => n470);

or2_3 : or2 port map (I0 => n468, I1 => n470, O0 => n902);

nand2_29 : nand2 port map (I0 => n468, I1 => n470, O0 => n904);

nand2_30 : nand2 port map (I0 => n902, I1 => n904, O0 => n471);

inv1_10 : inv1 port map (D => n471, O0 => n793);

nand2_31 : nand2 port map (I0 => n466, I1 => n793, O0 => n898);

inv1_11 : inv1 port map (D => n466, O0 => n708);

nand2_32 : nand2 port map (I0 => n471, I1 => n708, O0 => n900);

nand2_33 : nand2 port map (I0 => n898, I1 => n900, O0 => n184);

inv1_12 : inv1 port map (D => n468, O0 => n621);

nor2_2 : nor2 port map (I0 => n621, I1 => n470, O0 => n97);

or2_4 : or2 port map (I0 => n708, I1 => n97, O0 => n894);

nand2_34 : nand2 port map (I0 => n470, I1 => n621, O0 => n896);

nand2_35 : nand2 port map (I0 => n894, I1 => n896, O0 => n472);

nand2_36 : nand2 port map (I0 => n453, I1 => n451, O0 => n760);

nand2_37 : nand2 port map (I0 => n760, I1 => I03_PORT, O0 => n474);

inv1_13 : inv1 port map (D => I13_PORT, O0 => n475);

nand2_38 : nand2 port map (I0 => n475, I1 => CSUB0_PORT, O0 => n890);

nand2_39 : nand2 port map (I0 => CADD0_PORT, I1 => I13_PORT, O0 => n892);

nand2_40 : nand2 port map (I0 => n890, I1 => n892, O0 => n476);

or2_5 : or2 port map (I0 => n474, I1 => n476, O0 => n886);

nand2_41 : nand2 port map (I0 => n474, I1 => n476, O0 => n888);

nand2_42 : nand2 port map (I0 => n886, I1 => n888, O0 => n477);

inv1_14 : inv1 port map (D => n477, O0 => n796);

nand2_43 : nand2 port map (I0 => n472, I1 => n796, O0 => n882);

inv1_15 : inv1 port map (D => n472, O0 => n712);

nand2_44 : nand2 port map (I0 => n477, I1 => n712, O0 => n884);

nand2_45 : nand2 port map (I0 => n882, I1 => n884, O0 => n183);

inv1_16 : inv1 port map (D => n474, O0 => n627);

nor2_3 : nor2 port map (I0 => n627, I1 => n476, O0 => n98);

or2_6 : or2 port map (I0 => n712, I1 => n98, O0 => n878);

nand2_46 : nand2 port map (I0 => n476, I1 => n627, O0 => n880);

nand2_47 : nand2 port map (I0 => n878, I1 => n880, O0 => n478);

nand2_48 : nand2 port map (I0 => n453, I1 => n451, O0 => n762);

nand2_49 : nand2 port map (I0 => n762, I1 => I04_PORT, O0 => n480);

inv1_17 : inv1 port map (D => I14_PORT, O0 => n481);

nand2_50 : nand2 port map (I0 => n481, I1 => CSUB0_PORT, O0 => n874);

nand2_51 : nand2 port map (I0 => CADD0_PORT, I1 => I14_PORT, O0 => n876);

nand2_52 : nand2 port map (I0 => n874, I1 => n876, O0 => n482);

or2_7 : or2 port map (I0 => n480, I1 => n482, O0 => n870);

nand2_53 : nand2 port map (I0 => n480, I1 => n482, O0 => n872);

nand2_54 : nand2 port map (I0 => n870, I1 => n872, O0 => n483);

inv1_18 : inv1 port map (D => n483, O0 => n799);

nand2_55 : nand2 port map (I0 => n478, I1 => n799, O0 => n866);

inv1_19 : inv1 port map (D => n478, O0 => n716);

nand2_56 : nand2 port map (I0 => n483, I1 => n716, O0 => n868);

nand2_57 : nand2 port map (I0 => n866, I1 => n868, O0 => n182);

inv1_20 : inv1 port map (D => n480, O0 => n633);

nor2_4 : nor2 port map (I0 => n633, I1 => n482, O0 => n99);

or2_8 : or2 port map (I0 => n716, I1 => n99, O0 => n862);

nand2_58 : nand2 port map (I0 => n482, I1 => n633, O0 => n864);

nand2_59 : nand2 port map (I0 => n862, I1 => n864, O0 => n484);

nand2_60 : nand2 port map (I0 => n453, I1 => n451, O0 => n764);

nand2_61 : nand2 port map (I0 => n764, I1 => I05_PORT, O0 => n486);

inv1_21 : inv1 port map (D => I15_PORT, O0 => n487);

nand2_62 : nand2 port map (I0 => n487, I1 => CSUB0_PORT, O0 => n858);

nand2_63 : nand2 port map (I0 => CADD0_PORT, I1 => I15_PORT, O0 => n860);

nand2_64 : nand2 port map (I0 => n858, I1 => n860, O0 => n488);

or2_9 : or2 port map (I0 => n486, I1 => n488, O0 => n854);

nand2_65 : nand2 port map (I0 => n486, I1 => n488, O0 => n856);

nand2_66 : nand2 port map (I0 => n854, I1 => n856, O0 => n489);

inv1_22 : inv1 port map (D => n489, O0 => n802);

nand2_67 : nand2 port map (I0 => n484, I1 => n802, O0 => n850);

inv1_23 : inv1 port map (D => n484, O0 => n720);

nand2_68 : nand2 port map (I0 => n489, I1 => n720, O0 => n852);

nand2_69 : nand2 port map (I0 => n850, I1 => n852, O0 => n181);

inv1_24 : inv1 port map (D => n486, O0 => n639);

nor2_5 : nor2 port map (I0 => n639, I1 => n488, O0 => n100);

or2_10 : or2 port map (I0 => n720, I1 => n100, O0 => n846);

nand2_70 : nand2 port map (I0 => n488, I1 => n639, O0 => n848);

nand2_71 : nand2 port map (I0 => n846, I1 => n848, O0 => n490);

nand2_72 : nand2 port map (I0 => n453, I1 => n451, O0 => n766);

nand2_73 : nand2 port map (I0 => n766, I1 => I06_PORT, O0 => n492);

inv1_25 : inv1 port map (D => I16_PORT, O0 => n493);

nand2_74 : nand2 port map (I0 => n493, I1 => CSUB0_PORT, O0 => n842);

nand2_75 : nand2 port map (I0 => CADD0_PORT, I1 => I16_PORT, O0 => n844);

nand2_76 : nand2 port map (I0 => n842, I1 => n844, O0 => n494);

or2_11 : or2 port map (I0 => n492, I1 => n494, O0 => n838);

nand2_77 : nand2 port map (I0 => n492, I1 => n494, O0 => n840);

nand2_78 : nand2 port map (I0 => n838, I1 => n840, O0 => n495);

inv1_26 : inv1 port map (D => n495, O0 => n805);

nand2_79 : nand2 port map (I0 => n490, I1 => n805, O0 => n834);

inv1_27 : inv1 port map (D => n490, O0 => n724);

nand2_80 : nand2 port map (I0 => n495, I1 => n724, O0 => n836);

nand2_81 : nand2 port map (I0 => n834, I1 => n836, O0 => n180);

inv1_28 : inv1 port map (D => n492, O0 => n645);

nor2_6 : nor2 port map (I0 => n645, I1 => n494, O0 => n101);

or2_12 : or2 port map (I0 => n724, I1 => n101, O0 => n830);

nand2_82 : nand2 port map (I0 => n494, I1 => n645, O0 => n832);

nand2_83 : nand2 port map (I0 => n830, I1 => n832, O0 => n496);

nand2_84 : nand2 port map (I0 => n453, I1 => n451, O0 => n768);

nand2_85 : nand2 port map (I0 => n768, I1 => I07_PORT, O0 => n498);

inv1_29 : inv1 port map (D => I17_PORT, O0 => n499);

nand2_86 : nand2 port map (I0 => n499, I1 => CSUB0_PORT, O0 => n826);

nand2_87 : nand2 port map (I0 => CADD0_PORT, I1 => I17_PORT, O0 => n828);

nand2_88 : nand2 port map (I0 => n826, I1 => n828, O0 => n500);

or2_13 : or2 port map (I0 => n498, I1 => n500, O0 => n822);

nand2_89 : nand2 port map (I0 => n498, I1 => n500, O0 => n824);

nand2_90 : nand2 port map (I0 => n822, I1 => n824, O0 => n501);

inv1_30 : inv1 port map (D => n501, O0 => n808);

nand2_91 : nand2 port map (I0 => n496, I1 => n808, O0 => n818);

inv1_31 : inv1 port map (D => n496, O0 => n729);

nand2_92 : nand2 port map (I0 => n501, I1 => n729, O0 => n820);

nand2_93 : nand2 port map (I0 => n818, I1 => n820, O0 => n179);

inv1_32 : inv1 port map (D => n498, O0 => n651);

nor2_7 : nor2 port map (I0 => n651, I1 => n500, O0 => n102);

or2_14 : or2 port map (I0 => n729, I1 => n102, O0 => n814);

nand2_94 : nand2 port map (I0 => n500, I1 => n651, O0 => n816);

nand2_95 : nand2 port map (I0 => n814, I1 => n816, O0 => n178);

zero_0 : zero port map (O0 => n9);

nor4_0 : nor4 port map (I0 => n185, I1 => n186, I2 => n183, I3 => n184, O0 => n206);

nor4_1 : nor4 port map (I0 => n181, I1 => n182, I2 => n179, I3 => n180, O0 => n199);

nand2_96 : nand2 port map (I0 => n206, I1 => n199, O0 => n600);

inv1_33 : inv1 port map (D => n600, O0 => n601);

or2_15 : or2 port map (I0 => n729, I1 => n178, O0 => n810);

nand2_97 : nand2 port map (I0 => n178, I1 => n729, O0 => n812);

nand2_98 : nand2 port map (I0 => n810, I1 => n812, O0 => n177);

nor2_8 : nor2 port map (I0 => I10_PORT, I1 => n451, O0 => n966);

inv1_34 : inv1 port map (D => n940, O0 => n968);

nor2_9 : nor2 port map (I0 => n966, I1 => n968, O0 => n969);

nor2_10 : nor2 port map (I0 => n969, I1 => n459, O0 => n972);

inport0 : inport port map (D => CADD0, O0 => CADD0_PORT);
inport1 : inport port map (D => CSUB0, O0 => CSUB0_PORT);
inport2 : inport port map (D => I00, O0 => I00_PORT);
inport3 : inport port map (D => I01, O0 => I01_PORT);
inport4 : inport port map (D => I02, O0 => I02_PORT);
inport5 : inport port map (D => I03, O0 => I03_PORT);
inport6 : inport port map (D => I04, O0 => I04_PORT);
inport7 : inport port map (D => I05, O0 => I05_PORT);
inport8 : inport port map (D => I06, O0 => I06_PORT);
inport9 : inport port map (D => I07, O0 => I07_PORT);
inport10 : inport port map (D => I10, O0 => I10_PORT);
inport11 : inport port map (D => I11, O0 => I11_PORT);
inport12 : inport port map (D => I12, O0 => I12_PORT);
inport13 : inport port map (D => I13, O0 => I13_PORT);
inport14 : inport port map (D => I14, O0 => I14_PORT);
inport15 : inport port map (D => I15, O0 => I15_PORT);
inport16 : inport port map (D => I16, O0 => I16_PORT);
inport17 : inport port map (D => I17, O0 => I17_PORT);
inport18 : inport port map (D => ICIN0, O0 => ICIN0_PORT);
outport0 : outport port map (D => n186, O0 => O00);
outport1 : outport port map (D => n185, O0 => O01);
outport2 : outport port map (D => n184, O0 => O02);
outport3 : outport port map (D => n183, O0 => O03);
outport4 : outport port map (D => n182, O0 => O04);
outport5 : outport port map (D => n181, O0 => O05);
outport6 : outport port map (D => n180, O0 => O06);
outport7 : outport port map (D => n179, O0 => O07);
outport8 : outport port map (D => n178, O0 => OCOUT0);
outport9 : outport port map (D => n9, O0 => O10);
outport10 : outport port map (D => n601, O0 => OZERO0);
outport11 : outport port map (D => n177, O0 => OVF0);

end Structure_View;

