entity CU_ALU_51L192U3C2H2_str is
   port (
CADD  : IN BIT;
CSUB  : IN BIT;
I0  : IN BIT_VECTOR (7 downto 0);
I1  : IN BIT_VECTOR (7 downto 0);
ICIN  : IN BIT;
O0  : OUT BIT_VECTOR (7 downto 0);
OCOUT  : OUT BIT;
O1  : OUT BIT;
OZERO  : OUT BIT;
OVF  : OUT BIT);
end CU_ALU_51L192U3C2H2_str;

-- LAYOUT_STYLE STANDARD_CELL

architecture CU_ALU_51L192U3C2H2_str_arch of CU_ALU_51L192U3C2H2_str is
component inport   port ( 
    I0 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component outport   port ( 
    I0 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component nand2   port ( 
    I0 : IN BIT ;
    I1 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component inv   port ( 
    I0 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component nor2   port ( 
    I0 : IN BIT ;
    I1 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component or2   port ( 
    I0 : IN BIT ;
    I1 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component zero   port ( 
    O0 : OUT BIT) ;
end component;
component nor4   port ( 
    I0 : IN BIT ;
    I1 : IN BIT ;
    I2 : IN BIT ;
    I3 : IN BIT ;
    O0 : OUT BIT) ;
end component;

signal     nCADD_0  :  BIT;
signal     nCSUB_0  :  BIT;
signal     nI0_0  :  BIT;
signal     nI0_1  :  BIT;
signal     nI0_2  :  BIT;
signal     nI0_3  :  BIT;
signal     nI0_4  :  BIT;
signal     nI0_5  :  BIT;
signal     nI0_6  :  BIT;
signal     nI0_7  :  BIT;
signal     nI1_0  :  BIT;
signal     nI1_1  :  BIT;
signal     nI1_2  :  BIT;
signal     nI1_3  :  BIT;
signal     nI1_4  :  BIT;
signal     nI1_5  :  BIT;
signal     nI1_6  :  BIT;
signal     nI1_7  :  BIT;
signal     nICIN_0  :  BIT;
signal     n186  :  BIT;
signal     n185  :  BIT;
signal     n184  :  BIT;
signal     n183  :  BIT;
signal     n182  :  BIT;
signal     n181  :  BIT;
signal     n180  :  BIT;
signal     n179  :  BIT;
signal     n178  :  BIT;
signal     n9  :  BIT;
signal     n601  :  BIT;
signal     n177  :  BIT;
signal     n940  :  BIT;
signal     n453  :  BIT;
signal     n451  :  BIT;
signal     n754  :  BIT;
signal     n458  :  BIT;
signal     n752  :  BIT;
signal     n456  :  BIT;
signal     n604  :  BIT;
signal     n934  :  BIT;
signal     n610  :  BIT;
signal     n936  :  BIT;
signal     n459  :  BIT;
signal     n972  :  BIT;
signal     n930  :  BIT;
signal     n969  :  BIT;
signal     n932  :  BIT;
signal     n95  :  BIT;
signal     n926  :  BIT;
signal     n928  :  BIT;
signal     n460  :  BIT;
signal     n756  :  BIT;
signal     n462  :  BIT;
signal     n463  :  BIT;
signal     n922  :  BIT;
signal     n924  :  BIT;
signal     n464  :  BIT;
signal     n918  :  BIT;
signal     n920  :  BIT;
signal     n465  :  BIT;
signal     n790  :  BIT;
signal     n914  :  BIT;
signal     n704  :  BIT;
signal     n916  :  BIT;
signal     n615  :  BIT;
signal     n96  :  BIT;
signal     n910  :  BIT;
signal     n912  :  BIT;
signal     n466  :  BIT;
signal     n758  :  BIT;
signal     n468  :  BIT;
signal     n469  :  BIT;
signal     n906  :  BIT;
signal     n908  :  BIT;
signal     n470  :  BIT;
signal     n902  :  BIT;
signal     n904  :  BIT;
signal     n471  :  BIT;
signal     n793  :  BIT;
signal     n898  :  BIT;
signal     n708  :  BIT;
signal     n900  :  BIT;
signal     n621  :  BIT;
signal     n97  :  BIT;
signal     n894  :  BIT;
signal     n896  :  BIT;
signal     n472  :  BIT;
signal     n760  :  BIT;
signal     n474  :  BIT;
signal     n475  :  BIT;
signal     n890  :  BIT;
signal     n892  :  BIT;
signal     n476  :  BIT;
signal     n886  :  BIT;
signal     n888  :  BIT;
signal     n477  :  BIT;
signal     n796  :  BIT;
signal     n882  :  BIT;
signal     n712  :  BIT;
signal     n884  :  BIT;
signal     n627  :  BIT;
signal     n98  :  BIT;
signal     n878  :  BIT;
signal     n880  :  BIT;
signal     n478  :  BIT;
signal     n762  :  BIT;
signal     n480  :  BIT;
signal     n481  :  BIT;
signal     n874  :  BIT;
signal     n876  :  BIT;
signal     n482  :  BIT;
signal     n870  :  BIT;
signal     n872  :  BIT;
signal     n483  :  BIT;
signal     n799  :  BIT;
signal     n866  :  BIT;
signal     n716  :  BIT;
signal     n868  :  BIT;
signal     n633  :  BIT;
signal     n99  :  BIT;
signal     n862  :  BIT;
signal     n864  :  BIT;
signal     n484  :  BIT;
signal     n764  :  BIT;
signal     n486  :  BIT;
signal     n487  :  BIT;
signal     n858  :  BIT;
signal     n860  :  BIT;
signal     n488  :  BIT;
signal     n854  :  BIT;
signal     n856  :  BIT;
signal     n489  :  BIT;
signal     n802  :  BIT;
signal     n850  :  BIT;
signal     n720  :  BIT;
signal     n852  :  BIT;
signal     n639  :  BIT;
signal     n100  :  BIT;
signal     n846  :  BIT;
signal     n848  :  BIT;
signal     n490  :  BIT;
signal     n766  :  BIT;
signal     n492  :  BIT;
signal     n493  :  BIT;
signal     n842  :  BIT;
signal     n844  :  BIT;
signal     n494  :  BIT;
signal     n838  :  BIT;
signal     n840  :  BIT;
signal     n495  :  BIT;
signal     n805  :  BIT;
signal     n834  :  BIT;
signal     n724  :  BIT;
signal     n836  :  BIT;
signal     n645  :  BIT;
signal     n101  :  BIT;
signal     n830  :  BIT;
signal     n832  :  BIT;
signal     n496  :  BIT;
signal     n768  :  BIT;
signal     n498  :  BIT;
signal     n499  :  BIT;
signal     n826  :  BIT;
signal     n828  :  BIT;
signal     n500  :  BIT;
signal     n822  :  BIT;
signal     n824  :  BIT;
signal     n501  :  BIT;
signal     n808  :  BIT;
signal     n818  :  BIT;
signal     n729  :  BIT;
signal     n820  :  BIT;
signal     n651  :  BIT;
signal     n102  :  BIT;
signal     n814  :  BIT;
signal     n816  :  BIT;
signal     n206  :  BIT;
signal     n199  :  BIT;
signal     n600  :  BIT;
signal     n810  :  BIT;
signal     n812  :  BIT;
signal     n966  :  BIT;
signal     n968  :  BIT;

begin
inport_0 : inport port map (
    I0 => CADD(0),
    O0 => nCADD_0);
inport_1 : inport port map (
    I0 => CSUB(0),
    O0 => nCSUB_0);
inport_2 : inport port map (
    I0 => I0(0),
    O0 => nI0_0);
inport_3 : inport port map (
    I0 => I0(1),
    O0 => nI0_1);
inport_4 : inport port map (
    I0 => I0(2),
    O0 => nI0_2);
inport_5 : inport port map (
    I0 => I0(3),
    O0 => nI0_3);
inport_6 : inport port map (
    I0 => I0(4),
    O0 => nI0_4);
inport_7 : inport port map (
    I0 => I0(5),
    O0 => nI0_5);
inport_8 : inport port map (
    I0 => I0(6),
    O0 => nI0_6);
inport_9 : inport port map (
    I0 => I0(7),
    O0 => nI0_7);
inport_10 : inport port map (
    I0 => I1(0),
    O0 => nI1_0);
inport_11 : inport port map (
    I0 => I1(1),
    O0 => nI1_1);
inport_12 : inport port map (
    I0 => I1(2),
    O0 => nI1_2);
inport_13 : inport port map (
    I0 => I1(3),
    O0 => nI1_3);
inport_14 : inport port map (
    I0 => I1(4),
    O0 => nI1_4);
inport_15 : inport port map (
    I0 => I1(5),
    O0 => nI1_5);
inport_16 : inport port map (
    I0 => I1(6),
    O0 => nI1_6);
inport_17 : inport port map (
    I0 => I1(7),
    O0 => nI1_7);
inport_18 : inport port map (
    I0 => ICIN(0),
    O0 => nICIN_0);
outport_19 : outport port map (
    I0 => n186,
    O0 => O0(0));
outport_20 : outport port map (
    I0 => n185,
    O0 => O0(1));
outport_21 : outport port map (
    I0 => n184,
    O0 => O0(2));
outport_22 : outport port map (
    I0 => n183,
    O0 => O0(3));
outport_23 : outport port map (
    I0 => n182,
    O0 => O0(4));
outport_24 : outport port map (
    I0 => n181,
    O0 => O0(5));
outport_25 : outport port map (
    I0 => n180,
    O0 => O0(6));
outport_26 : outport port map (
    I0 => n179,
    O0 => O0(7));
outport_27 : outport port map (
    I0 => n178,
    O0 => OCOUT(0));
outport_28 : outport port map (
    I0 => n9,
    O0 => O1(0));
outport_29 : outport port map (
    I0 => n601,
    O0 => OZERO(0));
outport_30 : outport port map (
    I0 => n177,
    O0 => OVF(0));
nand2_31 : nand2 port map (
    I0 => nI1_0,
    I1 => nCADD_0,
    O0 => n940);
inv_32 : inv port map (
    I0 => nCADD_0,
    O0 => n453);
inv_33 : inv port map (
    I0 => nCSUB_0,
    O0 => n451);
nand2_34 : nand2 port map (
    I0 => n453,
    I1 => n451,
    O0 => n754);
nand2_35 : nand2 port map (
    I0 => n754,
    I1 => nI0_0,
    O0 => n458);
nand2_36 : nand2 port map (
    I0 => n453,
    I1 => n451,
    O0 => n752);
nand2_37 : nand2 port map (
    I0 => n752,
    I1 => nICIN_0,
    O0 => n456);
inv_38 : inv port map (
    I0 => n456,
    O0 => n604);
nand2_39 : nand2 port map (
    I0 => n458,
    I1 => n604,
    O0 => n934);
inv_40 : inv port map (
    I0 => n458,
    O0 => n610);
nand2_41 : nand2 port map (
    I0 => n456,
    I1 => n610,
    O0 => n936);
nand2_42 : nand2 port map (
    I0 => n934,
    I1 => n936,
    O0 => n459);
inv_43 : inv port map (
    I0 => n972,
    O0 => n930);
nand2_44 : nand2 port map (
    I0 => n459,
    I1 => n969,
    O0 => n932);
nand2_45 : nand2 port map (
    I0 => n930,
    I1 => n932,
    O0 => n186);
nor2_46 : nor2 port map (
    I0 => n604,
    I1 => n610,
    O0 => n95);
or2_47 : or2 port map (
    I0 => n969,
    I1 => n95,
    O0 => n926);
nand2_48 : nand2 port map (
    I0 => n604,
    I1 => n610,
    O0 => n928);
nand2_49 : nand2 port map (
    I0 => n926,
    I1 => n928,
    O0 => n460);
nand2_50 : nand2 port map (
    I0 => n453,
    I1 => n451,
    O0 => n756);
nand2_51 : nand2 port map (
    I0 => n756,
    I1 => nI0_1,
    O0 => n462);
inv_52 : inv port map (
    I0 => nI1_1,
    O0 => n463);
nand2_53 : nand2 port map (
    I0 => n463,
    I1 => nCSUB_0,
    O0 => n922);
nand2_54 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_1,
    O0 => n924);
nand2_55 : nand2 port map (
    I0 => n922,
    I1 => n924,
    O0 => n464);
or2_56 : or2 port map (
    I0 => n462,
    I1 => n464,
    O0 => n918);
nand2_57 : nand2 port map (
    I0 => n462,
    I1 => n464,
    O0 => n920);
nand2_58 : nand2 port map (
    I0 => n918,
    I1 => n920,
    O0 => n465);
inv_59 : inv port map (
    I0 => n465,
    O0 => n790);
nand2_60 : nand2 port map (
    I0 => n460,
    I1 => n790,
    O0 => n914);
inv_61 : inv port map (
    I0 => n460,
    O0 => n704);
nand2_62 : nand2 port map (
    I0 => n465,
    I1 => n704,
    O0 => n916);
nand2_63 : nand2 port map (
    I0 => n914,
    I1 => n916,
    O0 => n185);
inv_64 : inv port map (
    I0 => n462,
    O0 => n615);
nor2_65 : nor2 port map (
    I0 => n615,
    I1 => n464,
    O0 => n96);
or2_66 : or2 port map (
    I0 => n704,
    I1 => n96,
    O0 => n910);
nand2_67 : nand2 port map (
    I0 => n464,
    I1 => n615,
    O0 => n912);
nand2_68 : nand2 port map (
    I0 => n910,
    I1 => n912,
    O0 => n466);
nand2_69 : nand2 port map (
    I0 => n453,
    I1 => n451,
    O0 => n758);
nand2_70 : nand2 port map (
    I0 => n758,
    I1 => nI0_2,
    O0 => n468);
inv_71 : inv port map (
    I0 => nI1_2,
    O0 => n469);
nand2_72 : nand2 port map (
    I0 => n469,
    I1 => nCSUB_0,
    O0 => n906);
nand2_73 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_2,
    O0 => n908);
nand2_74 : nand2 port map (
    I0 => n906,
    I1 => n908,
    O0 => n470);
or2_75 : or2 port map (
    I0 => n468,
    I1 => n470,
    O0 => n902);
nand2_76 : nand2 port map (
    I0 => n468,
    I1 => n470,
    O0 => n904);
nand2_77 : nand2 port map (
    I0 => n902,
    I1 => n904,
    O0 => n471);
inv_78 : inv port map (
    I0 => n471,
    O0 => n793);
nand2_79 : nand2 port map (
    I0 => n466,
    I1 => n793,
    O0 => n898);
inv_80 : inv port map (
    I0 => n466,
    O0 => n708);
nand2_81 : nand2 port map (
    I0 => n471,
    I1 => n708,
    O0 => n900);
nand2_82 : nand2 port map (
    I0 => n898,
    I1 => n900,
    O0 => n184);
inv_83 : inv port map (
    I0 => n468,
    O0 => n621);
nor2_84 : nor2 port map (
    I0 => n621,
    I1 => n470,
    O0 => n97);
or2_85 : or2 port map (
    I0 => n708,
    I1 => n97,
    O0 => n894);
nand2_86 : nand2 port map (
    I0 => n470,
    I1 => n621,
    O0 => n896);
nand2_87 : nand2 port map (
    I0 => n894,
    I1 => n896,
    O0 => n472);
nand2_88 : nand2 port map (
    I0 => n453,
    I1 => n451,
    O0 => n760);
nand2_89 : nand2 port map (
    I0 => n760,
    I1 => nI0_3,
    O0 => n474);
inv_90 : inv port map (
    I0 => nI1_3,
    O0 => n475);
nand2_91 : nand2 port map (
    I0 => n475,
    I1 => nCSUB_0,
    O0 => n890);
nand2_92 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_3,
    O0 => n892);
nand2_93 : nand2 port map (
    I0 => n890,
    I1 => n892,
    O0 => n476);
or2_94 : or2 port map (
    I0 => n474,
    I1 => n476,
    O0 => n886);
nand2_95 : nand2 port map (
    I0 => n474,
    I1 => n476,
    O0 => n888);
nand2_96 : nand2 port map (
    I0 => n886,
    I1 => n888,
    O0 => n477);
inv_97 : inv port map (
    I0 => n477,
    O0 => n796);
nand2_98 : nand2 port map (
    I0 => n472,
    I1 => n796,
    O0 => n882);
inv_99 : inv port map (
    I0 => n472,
    O0 => n712);
nand2_100 : nand2 port map (
    I0 => n477,
    I1 => n712,
    O0 => n884);
nand2_101 : nand2 port map (
    I0 => n882,
    I1 => n884,
    O0 => n183);
inv_102 : inv port map (
    I0 => n474,
    O0 => n627);
nor2_103 : nor2 port map (
    I0 => n627,
    I1 => n476,
    O0 => n98);
or2_104 : or2 port map (
    I0 => n712,
    I1 => n98,
    O0 => n878);
nand2_105 : nand2 port map (
    I0 => n476,
    I1 => n627,
    O0 => n880);
nand2_106 : nand2 port map (
    I0 => n878,
    I1 => n880,
    O0 => n478);
nand2_107 : nand2 port map (
    I0 => n453,
    I1 => n451,
    O0 => n762);
nand2_108 : nand2 port map (
    I0 => n762,
    I1 => nI0_4,
    O0 => n480);
inv_109 : inv port map (
    I0 => nI1_4,
    O0 => n481);
nand2_110 : nand2 port map (
    I0 => n481,
    I1 => nCSUB_0,
    O0 => n874);
nand2_111 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_4,
    O0 => n876);
nand2_112 : nand2 port map (
    I0 => n874,
    I1 => n876,
    O0 => n482);
or2_113 : or2 port map (
    I0 => n480,
    I1 => n482,
    O0 => n870);
nand2_114 : nand2 port map (
    I0 => n480,
    I1 => n482,
    O0 => n872);
nand2_115 : nand2 port map (
    I0 => n870,
    I1 => n872,
    O0 => n483);
inv_116 : inv port map (
    I0 => n483,
    O0 => n799);
nand2_117 : nand2 port map (
    I0 => n478,
    I1 => n799,
    O0 => n866);
inv_118 : inv port map (
    I0 => n478,
    O0 => n716);
nand2_119 : nand2 port map (
    I0 => n483,
    I1 => n716,
    O0 => n868);
nand2_120 : nand2 port map (
    I0 => n866,
    I1 => n868,
    O0 => n182);
inv_121 : inv port map (
    I0 => n480,
    O0 => n633);
nor2_122 : nor2 port map (
    I0 => n633,
    I1 => n482,
    O0 => n99);
or2_123 : or2 port map (
    I0 => n716,
    I1 => n99,
    O0 => n862);
nand2_124 : nand2 port map (
    I0 => n482,
    I1 => n633,
    O0 => n864);
nand2_125 : nand2 port map (
    I0 => n862,
    I1 => n864,
    O0 => n484);
nand2_126 : nand2 port map (
    I0 => n453,
    I1 => n451,
    O0 => n764);
nand2_127 : nand2 port map (
    I0 => n764,
    I1 => nI0_5,
    O0 => n486);
inv_128 : inv port map (
    I0 => nI1_5,
    O0 => n487);
nand2_129 : nand2 port map (
    I0 => n487,
    I1 => nCSUB_0,
    O0 => n858);
nand2_130 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_5,
    O0 => n860);
nand2_131 : nand2 port map (
    I0 => n858,
    I1 => n860,
    O0 => n488);
or2_132 : or2 port map (
    I0 => n486,
    I1 => n488,
    O0 => n854);
nand2_133 : nand2 port map (
    I0 => n486,
    I1 => n488,
    O0 => n856);
nand2_134 : nand2 port map (
    I0 => n854,
    I1 => n856,
    O0 => n489);
inv_135 : inv port map (
    I0 => n489,
    O0 => n802);
nand2_136 : nand2 port map (
    I0 => n484,
    I1 => n802,
    O0 => n850);
inv_137 : inv port map (
    I0 => n484,
    O0 => n720);
nand2_138 : nand2 port map (
    I0 => n489,
    I1 => n720,
    O0 => n852);
nand2_139 : nand2 port map (
    I0 => n850,
    I1 => n852,
    O0 => n181);
inv_140 : inv port map (
    I0 => n486,
    O0 => n639);
nor2_141 : nor2 port map (
    I0 => n639,
    I1 => n488,
    O0 => n100);
or2_142 : or2 port map (
    I0 => n720,
    I1 => n100,
    O0 => n846);
nand2_143 : nand2 port map (
    I0 => n488,
    I1 => n639,
    O0 => n848);
nand2_144 : nand2 port map (
    I0 => n846,
    I1 => n848,
    O0 => n490);
nand2_145 : nand2 port map (
    I0 => n453,
    I1 => n451,
    O0 => n766);
nand2_146 : nand2 port map (
    I0 => n766,
    I1 => nI0_6,
    O0 => n492);
inv_147 : inv port map (
    I0 => nI1_6,
    O0 => n493);
nand2_148 : nand2 port map (
    I0 => n493,
    I1 => nCSUB_0,
    O0 => n842);
nand2_149 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_6,
    O0 => n844);
nand2_150 : nand2 port map (
    I0 => n842,
    I1 => n844,
    O0 => n494);
or2_151 : or2 port map (
    I0 => n492,
    I1 => n494,
    O0 => n838);
nand2_152 : nand2 port map (
    I0 => n492,
    I1 => n494,
    O0 => n840);
nand2_153 : nand2 port map (
    I0 => n838,
    I1 => n840,
    O0 => n495);
inv_154 : inv port map (
    I0 => n495,
    O0 => n805);
nand2_155 : nand2 port map (
    I0 => n490,
    I1 => n805,
    O0 => n834);
inv_156 : inv port map (
    I0 => n490,
    O0 => n724);
nand2_157 : nand2 port map (
    I0 => n495,
    I1 => n724,
    O0 => n836);
nand2_158 : nand2 port map (
    I0 => n834,
    I1 => n836,
    O0 => n180);
inv_159 : inv port map (
    I0 => n492,
    O0 => n645);
nor2_160 : nor2 port map (
    I0 => n645,
    I1 => n494,
    O0 => n101);
or2_161 : or2 port map (
    I0 => n724,
    I1 => n101,
    O0 => n830);
nand2_162 : nand2 port map (
    I0 => n494,
    I1 => n645,
    O0 => n832);
nand2_163 : nand2 port map (
    I0 => n830,
    I1 => n832,
    O0 => n496);
nand2_164 : nand2 port map (
    I0 => n453,
    I1 => n451,
    O0 => n768);
nand2_165 : nand2 port map (
    I0 => n768,
    I1 => nI0_7,
    O0 => n498);
inv_166 : inv port map (
    I0 => nI1_7,
    O0 => n499);
nand2_167 : nand2 port map (
    I0 => n499,
    I1 => nCSUB_0,
    O0 => n826);
nand2_168 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_7,
    O0 => n828);
nand2_169 : nand2 port map (
    I0 => n826,
    I1 => n828,
    O0 => n500);
or2_170 : or2 port map (
    I0 => n498,
    I1 => n500,
    O0 => n822);
nand2_171 : nand2 port map (
    I0 => n498,
    I1 => n500,
    O0 => n824);
nand2_172 : nand2 port map (
    I0 => n822,
    I1 => n824,
    O0 => n501);
inv_173 : inv port map (
    I0 => n501,
    O0 => n808);
nand2_174 : nand2 port map (
    I0 => n496,
    I1 => n808,
    O0 => n818);
inv_175 : inv port map (
    I0 => n496,
    O0 => n729);
nand2_176 : nand2 port map (
    I0 => n501,
    I1 => n729,
    O0 => n820);
nand2_177 : nand2 port map (
    I0 => n818,
    I1 => n820,
    O0 => n179);
inv_178 : inv port map (
    I0 => n498,
    O0 => n651);
nor2_179 : nor2 port map (
    I0 => n651,
    I1 => n500,
    O0 => n102);
or2_180 : or2 port map (
    I0 => n729,
    I1 => n102,
    O0 => n814);
nand2_181 : nand2 port map (
    I0 => n500,
    I1 => n651,
    O0 => n816);
nand2_182 : nand2 port map (
    I0 => n814,
    I1 => n816,
    O0 => n178);
zero_183 : zero port map (
    O0 => n9);
nor4_184 : nor4 port map (
    I0 => n185,
    I1 => n186,
    I2 => n183,
    I3 => n184,
    O0 => n206);
nor4_185 : nor4 port map (
    I0 => n181,
    I1 => n182,
    I2 => n179,
    I3 => n180,
    O0 => n199);
nand2_186 : nand2 port map (
    I0 => n206,
    I1 => n199,
    O0 => n600);
inv_187 : inv port map (
    I0 => n600,
    O0 => n601);
or2_188 : or2 port map (
    I0 => n729,
    I1 => n178,
    O0 => n810);
nand2_189 : nand2 port map (
    I0 => n178,
    I1 => n729,
    O0 => n812);
nand2_190 : nand2 port map (
    I0 => n810,
    I1 => n812,
    O0 => n177);
nor2_191 : nor2 port map (
    I0 => nI1_0,
    I1 => n451,
    O0 => n966);
inv_192 : inv port map (
    I0 => n940,
    O0 => n968);
nor2_193 : nor2 port map (
    I0 => n966,
    I1 => n968,
    O0 => n969);
nor2_194 : nor2 port map (
    I0 => n969,
    I1 => n459,
    O0 => n972);
end CU_ALU_51L192U3C2H2_str_arch;
