entity maha_cu is 

  port(
    VSS_DPORT_T1 : IN BIT;
    VSS_DPORT_T2 : IN BIT;
    VSS_DPORT_T3 : IN BIT;
    VSS_DPORT_T4 : IN BIT;
    VSS_DPORT_T5 : IN BIT;
    VSS_DPORT_T6 : IN BIT;
    VSS_CPORT_0 : OUT BIT  ; 
    VSS_CPORT_1 : OUT BIT  ; 
    VSS_CPORT_2 : OUT BIT  ; 
    VSS_CPORT_3 : OUT BIT  ; 
    VSS_CPORT_4 : OUT BIT  ; 
    VSS_CPORT_5 : OUT BIT  ; 
    VSS_CPORT_6 : OUT BIT  ; 
    VSS_CPORT_7 : OUT BIT  ; 
    VSS_CPORT_8 : OUT BIT  ; 
    VSS_CPORT_9 : OUT BIT  ; 
    VSS_CPORT_10 : OUT BIT  ; 
    VSS_CPORT_11 : OUT BIT  ; 
    VSS_CPORT_12 : OUT BIT  ; 
    VSS_CPORT_13 : OUT BIT  ; 
    VSS_CPORT_14 : OUT BIT  ; 
    VSS_CPORT_15 : OUT BIT  ; 
    VSS_CPORT_16 : OUT BIT  ; 
    VSS_CPORT_17 : OUT BIT  ; 
    VSS_CPORT_18 : OUT BIT  ; 
    VSS_CPORT_19 : OUT BIT  ; 
    VSS_CPORT_20 : OUT BIT  ; 
    VSS_CPORT_21 : OUT BIT  ; 
    VSS_CPORT_22 : OUT BIT  ; 
    VSS_CPORT_23 : OUT BIT  ; 
    VSS_CPORT_24 : OUT BIT  ; 
    VSS_CPORT_25 : OUT BIT  ; 
    VSS_CPORT_26 : OUT BIT  ; 
    VSS_CPORT_27 : OUT BIT  ; 
    VSS_CPORT_28 : OUT BIT  ; 
    VSS_CPORT_29 : OUT BIT  ; 
    VSS_CPORT_30 : OUT BIT  ; 
    VSS_CPORT_31 : OUT BIT  ; 
    VSS_CPORT_32 : OUT BIT  ; 
    VSS_CPORT_33 : OUT BIT  ; 
    VSS_CPORT_34 : OUT BIT     ;
    CLOCK_2 : IN BIT;
    VSS_ASETPORT : IN BIT;
    VSS_ARESETPORT : IN BIT
  );

end maha_cu ;


-- LAYOUT_STYLE STANDARD_CELL


architecture Structure_View of maha_cu is

Component inv1
  port (D : in BIT;
        O0 : out BIT);
end component;

Component nand3
  port (I0 : in BIT;
        I1 : in BIT;
        I2 : in BIT;
        O0 : out BIT);
end component;

Component nand2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component nor2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component or2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component nor3
  port (I0 : in BIT;
        I1 : in BIT;
        I2 : in BIT;
        O0 : out BIT);
end component;

Component nand4
  port (I0 : in BIT;
        I1 : in BIT;
        I2 : in BIT;
        I3 : in BIT;
        O0 : out BIT);
end component;

Component nor4
  port (I0 : in BIT;
        I1 : in BIT;
        I2 : in BIT;
        I3 : in BIT;
        O0 : out BIT);
end component;

Component msff
  port (
    D : IN BIT;
    CLOCK_IN : IN BIT;
    S0 : IN BIT;
    S1 : IN BIT;
    R0 : IN BIT;
    R1 : IN BIT;
    Q : OUT BIT
);
 end component;

Component inport
  port (D : in BIT;
        O0 : out BIT);
end component;

Component outport
  port (D : in BIT;
        O0 : out BIT);
end component;


  attribute celltype : integer;
  attribute celltype of inv1 : label is 0;
  attribute celltype of nand3 : label is 0;
  attribute celltype of nand2 : label is 0;
  attribute celltype of nor2 : label is 0;
  attribute celltype of or2 : label is 0;
  attribute celltype of nor3 : label is 0;
  attribute celltype of nand4 : label is 0;
  attribute celltype of nor4 : label is 0;
  attribute celltype of latchd : label is 0;
  attribute celltype of inport : label is 0;
  attribute celltype of outport : label is 0;


  signal n7: BIT ; 
  signal n8: BIT ; 
  signal n9: BIT ; 
  signal n11: BIT ; 
  signal n43: BIT ; 
  signal n225: BIT ; 
  signal n230: BIT ; 
  signal n231: BIT ; 
  signal n232: BIT ; 
  signal n233: BIT ; 
  signal n234: BIT ; 
  signal n235: BIT ; 
  signal n236: BIT ; 
  signal n237: BIT ; 
  signal n238: BIT ; 
  signal n239: BIT ; 
  signal n240: BIT ; 
  signal n241: BIT ; 
  signal n242: BIT ; 
  signal n243: BIT ; 
  signal n244: BIT ; 
  signal n245: BIT ; 
  signal n246: BIT ; 
  signal n247: BIT ; 
  signal n248: BIT ; 
  signal n249: BIT ; 
  signal n251: BIT ; 
  signal n264: BIT ; 
  signal n281: BIT ; 
  signal n289: BIT ; 
  signal n323: BIT ; 
  signal n344: BIT ; 
  signal n388: BIT ; 
  signal n450: BIT ; 
  signal n451: BIT ; 
  signal n452: BIT ; 
  signal n453: BIT ; 
  signal n454: BIT ; 
  signal n455: BIT ; 
  signal n457: BIT ; 
  signal n458: BIT ; 
  signal n459: BIT ; 
  signal n463: BIT ; 
  signal n470: BIT ; 
  signal n474: BIT ; 
  signal n476: BIT ; 
  signal n478: BIT ; 
  signal n489: BIT ; 
  signal n492: BIT ; 
  signal n508: BIT ; 
  signal n587: BIT ; 
  signal n592: BIT ; 
  signal n597: BIT ; 
  signal n603: BIT ; 
  signal n604: BIT ; 
  signal n608: BIT ; 
  signal n613: BIT ; 
  signal n614: BIT ; 
  signal n620: BIT ; 
  signal n625: BIT ; 
  signal n630: BIT ; 
  signal n635: BIT ; 
  signal n642: BIT ; 
  signal n643: BIT ; 
  signal n656: BIT ; 
  signal n662: BIT ; 
  signal n672: BIT ; 
  signal n678: BIT ; 
  signal n693: BIT ; 
  signal n711: BIT ; 
  signal n821: BIT ; 
  signal n830: BIT ; 
  signal n878: BIT ; 
  signal n882: BIT ; 
  signal n886: BIT ; 
  signal n890: BIT ; 
  signal n894: BIT ; 
  signal n898: BIT ; 
  signal n901: BIT ; 
  signal n905: BIT ; 
  signal n909: BIT ; 
  signal n913: BIT ; 
  signal n918: BIT ; 
  signal n922: BIT ; 
  signal n925: BIT ; 
  signal VSS_DPORT_T1_PORT : BIT ; 
  signal VSS_DPORT_T2_PORT : BIT ; 
  signal VSS_DPORT_T3_PORT : BIT ; 
  signal VSS_DPORT_T4_PORT : BIT ; 
  signal VSS_DPORT_T5_PORT : BIT ; 
  signal VSS_DPORT_T6_PORT : BIT ; 
  signal Q0 : BIT ; 
  signal Q1 : BIT ; 
  signal Q2 : BIT ; 
  signal Q3 : BIT ; 
  signal VSS_CLOCK_BAR : BIT ; 
  signal VSS_ASET_BAR : BIT ; 

begin

  inv12_msff : inv1 port map (D => VSS_ASETPORT, O0 => VSS_ASET_BAR);
  msff_0 : msff port map (D => n248, CLOCK_IN => CLOCK_2, S0 => VSS_ASET_BAR, S1 => VSS_ASET_BAR, R0 => VSS_ARESETPORT, R1 => VSS_ARESETPORT, Q => Q0);

  msff_1 : msff port map (D => n243, CLOCK_IN => CLOCK_2, S0 => VSS_ASET_BAR, S1 => VSS_ASET_BAR, R0 => VSS_ARESETPORT, R1 => VSS_ARESETPORT, Q => Q1);

  msff_2 : msff port map (D => n241, CLOCK_IN => CLOCK_2, S0 => VSS_ASET_BAR, S1 => VSS_ASET_BAR, R0 => VSS_ARESETPORT, R1 => VSS_ARESETPORT, Q => Q2);

  msff_3 : msff port map (D => n240, CLOCK_IN => CLOCK_2, S0 => VSS_ASET_BAR, S1 => VSS_ASET_BAR, R0 => VSS_ARESETPORT, R1 => VSS_ARESETPORT, Q => Q3);

inv1_0 : inv1 port map (D => Q2, O0 => n453);

nand3_0 : nand3 port map (I0 => n453, I1 => Q0, I2 => Q1, O0 => n474);

inv1_1 : inv1 port map (D => n474, O0 => n693);

inv1_2 : inv1 port map (D => Q0, O0 => n450);

inv1_3 : inv1 port map (D => Q1, O0 => n451);

nand2_0 : nand2 port map (I0 => n450, I1 => n451, O0 => n452);

inv1_4 : inv1 port map (D => Q3, O0 => n454);

nand2_1 : nand2 port map (I0 => n453, I1 => n454, O0 => n455);

nor2_0 : nor2 port map (I0 => n452, I1 => n455, O0 => n230);

inv1_5 : inv1 port map (D => n894, O0 => n457);

nor2_1 : nor2 port map (I0 => n454, I1 => n457, O0 => n231);

or2_0 : or2 port map (I0 => n230, I1 => n231, O0 => n251);

inv1_6 : inv1 port map (D => n251, O0 => n672);

or2_1 : or2 port map (I0 => n452, I1 => n453, O0 => n463);

inv1_7 : inv1 port map (D => n463, O0 => n711);

inv1_8 : inv1 port map (D => n890, O0 => n620);

nand2_2 : nand2 port map (I0 => Q2, I1 => Q3, O0 => n470);

inv1_9 : inv1 port map (D => n898, O0 => n656);

nand3_1 : nand3 port map (I0 => n672, I1 => n620, I2 => n656, O0 => n249);

nor2_2 : nor2 port map (I0 => n693, I1 => n249, O0 => n388);

inv1_10 : inv1 port map (D => VSS_DPORT_T3_PORT, O0 => n458);

nand2_3 : nand2 port map (I0 => n450, I1 => Q1, O0 => n459);

nor3_0 : nor3 port map (I0 => n455, I1 => n458, I2 => n459, O0 => n7);

inv1_11 : inv1 port map (D => n7, O0 => n625);

nor3_1 : nor3 port map (I0 => n455, I1 => VSS_DPORT_T3_PORT, I2 => n459, O0 => n8);

inv1_12 : inv1 port map (D => n8, O0 => n630);

inv1_13 : inv1 port map (D => n913, O0 => n43);

nand3_2 : nand3 port map (I0 => n711, I1 => Q3, I2 => VSS_DPORT_T5_PORT, O0 => n613);

nor3_2 : nor3 port map (I0 => n459, I1 => Q2, I2 => n454, O0 => n9);

inv1_14 : inv1 port map (D => n9, O0 => n635);

nand4_0 : nand4 port map (I0 => n388, I1 => n43, I2 => n613, I3 => n635, O0 => n248);

inv1_15 : inv1 port map (D => n886, O0 => n608);

inv1_16 : inv1 port map (D => VSS_DPORT_T6_PORT, O0 => n476);

nand3_3 : nand3 port map (I0 => n454, I1 => n451, I2 => Q0, O0 => n478);

or2_2 : or2 port map (I0 => n476, I1 => n478, O0 => n821);

nand4_1 : nand4 port map (I0 => n608, I1 => n613, I2 => n635, I3 => n821, O0 => n244);

nand3_4 : nand3 port map (I0 => n711, I1 => n454, I2 => VSS_DPORT_T2_PORT, O0 => n603);

nand2_4 : nand2 port map (I0 => n603, I1 => n625, O0 => n245);

or2_3 : or2 port map (I0 => VSS_DPORT_T6_PORT, I1 => n478, O0 => n830);

nand2_5 : nand2 port map (I0 => n630, I1 => n830, O0 => n246);

nor3_3 : nor3 port map (I0 => n244, I1 => n245, I2 => n246, O0 => n344);

nand2_6 : nand2 port map (I0 => n620, I1 => n830, O0 => n247);

inv1_17 : inv1 port map (D => n247, O0 => n678);

inv1_18 : inv1 port map (D => n909, O0 => n587);

nand4_2 : nand4 port map (I0 => n344, I1 => n678, I2 => n587, I3 => n656, O0 => n243);

nand2_7 : nand2 port map (I0 => n821, I1 => n830, O0 => n242);

nor2_3 : nor2 port map (I0 => Q3, I1 => n474, O0 => n225);

inv1_19 : inv1 port map (D => VSS_DPORT_T1_PORT, O0 => n489);

inv1_20 : inv1 port map (D => n878, O0 => n597);

nand3_5 : nand3 port map (I0 => n43, I1 => n587, I2 => n597, O0 => n492);

nor3_4 : nor3 port map (I0 => n242, I1 => n225, I2 => n492, O0 => n323);

inv1_21 : inv1 port map (D => n882, O0 => n592);

nand3_6 : nand3 port map (I0 => n323, I1 => n592, I2 => n635, O0 => n241);

nor3_5 : nor3 port map (I0 => n457, I1 => VSS_DPORT_T4_PORT, I2 => Q3, O0 => n11);

inv1_22 : inv1 port map (D => n918, O0 => n240);

nand3_7 : nand3 port map (I0 => n625, I1 => n592, I2 => n613, O0 => n239);

nor2_4 : nor2 port map (I0 => n9, I1 => n239, O0 => n289);

nand3_8 : nand3 port map (I0 => n894, I1 => n454, I2 => VSS_DPORT_T4_PORT, O0 => n642);

nand3_9 : nand3 port map (I0 => n289, I1 => n830, I2 => n922, O0 => n238);

nand2_8 : nand2 port map (I0 => n597, I1 => n620, O0 => n508);

nor3_6 : nor3 port map (I0 => n508, I1 => n8, I2 => n11, O0 => n281);

nand2_9 : nand2 port map (I0 => n603, I1 => n608, O0 => n237);

inv1_23 : inv1 port map (D => n237, O0 => n662);

nand4_3 : nand4 port map (I0 => n281, I1 => n821, I2 => n662, I3 => n672, O0 => n236);

nor2_5 : nor2 port map (I0 => n693, I1 => n245, O0 => n264);

nand4_4 : nand4 port map (I0 => n264, I1 => n642, I2 => n587, I3 => n613, O0 => n235);

nand3_10 : nand3 port map (I0 => n922, I1 => n613, I2 => n620, O0 => n234);

inv1_24 : inv1 port map (D => n925, O0 => n233);

nand3_11 : nand3 port map (I0 => n821, I1 => n603, I2 => n925, O0 => n232);

inv1_25 : inv1 port map (D => n613, O0 => n614);

inv1_26 : inv1 port map (D => n603, O0 => n604);

inv1_27 : inv1 port map (D => n642, O0 => n643);

nor3_7 : nor3 port map (I0 => n470, I1 => VSS_DPORT_T1_PORT, I2 => n459, O0 => n878);

nor3_8 : nor3 port map (I0 => n470, I1 => n459, I2 => n489, O0 => n882);

nor3_9 : nor3 port map (I0 => n463, I1 => VSS_DPORT_T2_PORT, I2 => Q3, O0 => n886);

nor3_10 : nor3 port map (I0 => n463, I1 => VSS_DPORT_T5_PORT, I2 => n454, O0 => n890);

nor3_11 : nor3 port map (I0 => n453, I1 => n450, I2 => n451, O0 => n894);

nor3_12 : nor3 port map (I0 => n470, I1 => Q1, I2 => n450, O0 => n898);

nand2_10 : nand2 port map (I0 => n450, I1 => n451, O0 => n901);

nor3_13 : nor3 port map (I0 => n901, I1 => Q2, I2 => n454, O0 => n905);

nor3_14 : nor3 port map (I0 => n459, I1 => Q3, I2 => n453, O0 => n909);

nand3_12 : nand3 port map (I0 => n672, I1 => n625, I2 => n630, O0 => n913);

nor4_0 : nor4 port map (I0 => n886, I1 => n11, I2 => n898, I3 => n492, O0 => n918);

nor3_15 : nor3 port map (I0 => n898, I1 => n643, I2 => n905, O0 => n922);

nor2_6 : nor2 port map (I0 => n643, I1 => n11, O0 => n925);

  msff_5 : msff port map (D => VSS_DPORT_T1, CLOCK_IN => CLOCK_2, S0 => VSS_ASET_BAR, S1 => VSS_ASET_BAR, R0 => VSS_ARESETPORT, R1 => VSS_ARESETPORT, Q => VSS_DPORT_T1_PORT);

  msff_6 : msff port map (D => VSS_DPORT_T2, CLOCK_IN => CLOCK_2, S0 => VSS_ASET_BAR, S1 => VSS_ASET_BAR, R0 => VSS_ARESETPORT, R1 => VSS_ARESETPORT, Q => VSS_DPORT_T2_PORT);

  msff_7 : msff port map (D => VSS_DPORT_T3, CLOCK_IN => CLOCK_2, S0 => VSS_ASET_BAR, S1 => VSS_ASET_BAR, R0 => VSS_ARESETPORT, R1 => VSS_ARESETPORT, Q => VSS_DPORT_T3_PORT);

  msff_8 : msff port map (D => VSS_DPORT_T4, CLOCK_IN => CLOCK_2, S0 => VSS_ASET_BAR, S1 => VSS_ASET_BAR, R0 => VSS_ARESETPORT, R1 => VSS_ARESETPORT, Q => VSS_DPORT_T4_PORT);

  msff_9 : msff port map (D => VSS_DPORT_T5, CLOCK_IN => CLOCK_2, S0 => VSS_ASET_BAR, S1 => VSS_ASET_BAR, R0 => VSS_ARESETPORT, R1 => VSS_ARESETPORT, Q => VSS_DPORT_T5_PORT);

  msff_10 : msff port map (D => VSS_DPORT_T6, CLOCK_IN => CLOCK_2, S0 => VSS_ASET_BAR, S1 => VSS_ASET_BAR, R0 => VSS_ARESETPORT, R1 => VSS_ARESETPORT, Q => VSS_DPORT_T6_PORT);

outport4 : outport port map (D => n238, O0 => VSS_CPORT_0);
outport5 : outport port map (D => n236, O0 => VSS_CPORT_1);
outport6 : outport port map (D => n235, O0 => VSS_CPORT_2);
outport7 : outport port map (D => n878, O0 => VSS_CPORT_3);
outport8 : outport port map (D => n882, O0 => VSS_CPORT_4);
outport9 : outport port map (D => n237, O0 => VSS_CPORT_5);
outport10 : outport port map (D => n913, O0 => VSS_CPORT_6);
outport11 : outport port map (D => n9, O0 => VSS_CPORT_7);
outport12 : outport port map (D => n234, O0 => VSS_CPORT_8);
outport13 : outport port map (D => n11, O0 => VSS_CPORT_9);
outport14 : outport port map (D => n242, O0 => VSS_CPORT_10);
outport15 : outport port map (D => n9, O0 => VSS_CPORT_11);
outport16 : outport port map (D => n898, O0 => VSS_CPORT_12);
outport17 : outport port map (D => n251, O0 => VSS_CPORT_13);
outport18 : outport port map (D => n905, O0 => VSS_CPORT_14);
outport19 : outport port map (D => n232, O0 => VSS_CPORT_15);
outport20 : outport port map (D => n239, O0 => VSS_CPORT_16);
outport21 : outport port map (D => n8, O0 => VSS_CPORT_17);
outport22 : outport port map (D => n886, O0 => VSS_CPORT_18);
outport23 : outport port map (D => n878, O0 => VSS_CPORT_19);
outport24 : outport port map (D => n247, O0 => VSS_CPORT_20);
outport25 : outport port map (D => n905, O0 => VSS_CPORT_21);
outport26 : outport port map (D => n233, O0 => VSS_CPORT_22);
outport27 : outport port map (D => n882, O0 => VSS_CPORT_23);
outport28 : outport port map (D => n249, O0 => VSS_CPORT_24);
outport29 : outport port map (D => n246, O0 => VSS_CPORT_25);
outport30 : outport port map (D => n878, O0 => VSS_CPORT_26);
outport31 : outport port map (D => n245, O0 => VSS_CPORT_27);
outport32 : outport port map (D => n244, O0 => VSS_CPORT_28);
outport33 : outport port map (D => n614, O0 => VSS_CPORT_29);
outport34 : outport port map (D => n604, O0 => VSS_CPORT_30);
outport35 : outport port map (D => n7, O0 => VSS_CPORT_31);
outport36 : outport port map (D => n643, O0 => VSS_CPORT_32);
outport37 : outport port map (D => n693, O0 => VSS_CPORT_33);
outport38 : outport port map (D => n909, O0 => VSS_CPORT_34);

end Structure_View;

