entity REGISTER_51K1M1835103_logic1 is 

  port(
    CLOAD : IN BIT;
    CNONE : IN BIT;
    ILOAD : IN BIT;
    INONE : IN BIT;
    O0 : OUT BIT   );

end REGISTER_51K1M1835103_logic1 ;


-- LAYOUT_STYLE STANDARD_CELL


architecture Structure_View of REGISTER_51K1M1835103_logic1 is

Component nand2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component inport
  port (D : in BIT;
        O0 : out BIT);
end component;

Component outport
  port (D : in BIT;
        O0 : out BIT);
end component;


  attribute celltype : integer;
  attribute celltype of nand2 : label is 0;
  attribute celltype of latchd : label is 0;
  attribute celltype of inport : label is 0;
  attribute celltype of outport : label is 0;


  signal n77: BIT ; 
  signal n96: BIT ; 
  signal n98: BIT ; 
  signal CLOAD_PORT : BIT ; 
  signal CNONE_PORT : BIT ; 
  signal ILOAD_PORT : BIT ; 
  signal INONE_PORT : BIT ; 

begin

nand2_0 : nand2 port map (I0 => CNONE_PORT, I1 => INONE_PORT, O0 => n96);

nand2_1 : nand2 port map (I0 => CLOAD_PORT, I1 => ILOAD_PORT, O0 => n98);

nand2_2 : nand2 port map (I0 => n96, I1 => n98, O0 => n77);

inport0 : inport port map (D => CLOAD, O0 => CLOAD_PORT);
inport1 : inport port map (D => CNONE, O0 => CNONE_PORT);
inport2 : inport port map (D => ILOAD, O0 => ILOAD_PORT);
inport3 : inport port map (D => INONE, O0 => INONE_PORT);
outport0 : outport port map (D => n77, O0 => O0);

end Structure_View;

