entity CU_ALU_51L19213C2H2_str is
   port (
CADD  : IN BIT;
CSUB  : IN BIT;
I0  : IN BIT_VECTOR (7 downto 0);
I1  : IN BIT_VECTOR (7 downto 0);
ICIN  : IN BIT;
O0  : OUT BIT_VECTOR (7 downto 0);
OCOUT  : OUT BIT;
O1  : OUT BIT;
OZERO  : OUT BIT;
OVF  : OUT BIT);
end CU_ALU_51L19213C2H2_str;

-- LAYOUT_STYLE STANDARD_CELL

architecture CU_ALU_51L19213C2H2_str_arch of CU_ALU_51L19213C2H2_str is
component inport   port ( 
    I0 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component outport   port ( 
    I0 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component nand2   port ( 
    I0 : IN BIT ;
    I1 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component inv   port ( 
    I0 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component or2   port ( 
    I0 : IN BIT ;
    I1 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component nor2   port ( 
    I0 : IN BIT ;
    I1 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component nand3   port ( 
    I0 : IN BIT ;
    I1 : IN BIT ;
    I2 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component nand4   port ( 
    I0 : IN BIT ;
    I1 : IN BIT ;
    I2 : IN BIT ;
    I3 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component nor3   port ( 
    I0 : IN BIT ;
    I1 : IN BIT ;
    I2 : IN BIT ;
    O0 : OUT BIT) ;
end component;
component zero   port ( 
    O0 : OUT BIT) ;
end component;
component nor4   port ( 
    I0 : IN BIT ;
    I1 : IN BIT ;
    I2 : IN BIT ;
    I3 : IN BIT ;
    O0 : OUT BIT) ;
end component;

signal     nCADD_0  :  BIT;
signal     nCSUB_0  :  BIT;
signal     nI0_0  :  BIT;
signal     nI0_1  :  BIT;
signal     nI0_2  :  BIT;
signal     nI0_3  :  BIT;
signal     nI0_4  :  BIT;
signal     nI0_5  :  BIT;
signal     nI0_6  :  BIT;
signal     nI0_7  :  BIT;
signal     nI1_0  :  BIT;
signal     nI1_1  :  BIT;
signal     nI1_2  :  BIT;
signal     nI1_3  :  BIT;
signal     nI1_4  :  BIT;
signal     nI1_5  :  BIT;
signal     nI1_6  :  BIT;
signal     nI1_7  :  BIT;
signal     nICIN_0  :  BIT;
signal     n202  :  BIT;
signal     n201  :  BIT;
signal     n200  :  BIT;
signal     n199  :  BIT;
signal     n198  :  BIT;
signal     n197  :  BIT;
signal     n196  :  BIT;
signal     n195  :  BIT;
signal     n194  :  BIT;
signal     n9  :  BIT;
signal     n717  :  BIT;
signal     n193  :  BIT;
signal     n1185  :  BIT;
signal     n541  :  BIT;
signal     n539  :  BIT;
signal     n1007  :  BIT;
signal     n546  :  BIT;
signal     n1005  :  BIT;
signal     n544  :  BIT;
signal     n719  :  BIT;
signal     n1179  :  BIT;
signal     n1223  :  BIT;
signal     n1181  :  BIT;
signal     n547  :  BIT;
signal     n1217  :  BIT;
signal     n1175  :  BIT;
signal     n1214  :  BIT;
signal     n1177  :  BIT;
signal     n836  :  BIT;
signal     n1173  :  BIT;
signal     n1009  :  BIT;
signal     n551  :  BIT;
signal     n552  :  BIT;
signal     n1169  :  BIT;
signal     n1171  :  BIT;
signal     n553  :  BIT;
signal     n1165  :  BIT;
signal     n1167  :  BIT;
signal     n554  :  BIT;
signal     n1229  :  BIT;
signal     n1161  :  BIT;
signal     n1226  :  BIT;
signal     n1163  :  BIT;
signal     n793  :  BIT;
signal     n841  :  BIT;
signal     n556  :  BIT;
signal     n175  :  BIT;
signal     n839  :  BIT;
signal     n1220  :  BIT;
signal     n1159  :  BIT;
signal     n555  :  BIT;
signal     n557  :  BIT;
signal     n1011  :  BIT;
signal     n559  :  BIT;
signal     n560  :  BIT;
signal     n1153  :  BIT;
signal     n1155  :  BIT;
signal     n561  :  BIT;
signal     n1149  :  BIT;
signal     n1151  :  BIT;
signal     n562  :  BIT;
signal     n1030  :  BIT;
signal     n1145  :  BIT;
signal     n966  :  BIT;
signal     n1147  :  BIT;
signal     n799  :  BIT;
signal     n847  :  BIT;
signal     n880  :  BIT;
signal     n1141  :  BIT;
signal     n563  :  BIT;
signal     n1143  :  BIT;
signal     n566  :  BIT;
signal     n1013  :  BIT;
signal     n568  :  BIT;
signal     n569  :  BIT;
signal     n1137  :  BIT;
signal     n1139  :  BIT;
signal     n570  :  BIT;
signal     n1133  :  BIT;
signal     n1135  :  BIT;
signal     n571  :  BIT;
signal     n1033  :  BIT;
signal     n1129  :  BIT;
signal     n969  :  BIT;
signal     n1131  :  BIT;
signal     n805  :  BIT;
signal     n853  :  BIT;
signal     n573  :  BIT;
signal     n892  :  BIT;
signal     n575  :  BIT;
signal     n153  :  BIT;
signal     n1125  :  BIT;
signal     nG0_3  :  BIT;
signal     n855  :  BIT;
signal     n157  :  BIT;
signal     nG1_3  :  BIT;
signal     n574  :  BIT;
signal     n576  :  BIT;
signal     n1015  :  BIT;
signal     n578  :  BIT;
signal     n579  :  BIT;
signal     n1119  :  BIT;
signal     n1121  :  BIT;
signal     n580  :  BIT;
signal     n1115  :  BIT;
signal     n1117  :  BIT;
signal     n581  :  BIT;
signal     n1036  :  BIT;
signal     n1111  :  BIT;
signal     n972  :  BIT;
signal     n1113  :  BIT;
signal     n811  :  BIT;
signal     n859  :  BIT;
signal     n918  :  BIT;
signal     n1107  :  BIT;
signal     n582  :  BIT;
signal     n1109  :  BIT;
signal     n585  :  BIT;
signal     n1017  :  BIT;
signal     n587  :  BIT;
signal     n588  :  BIT;
signal     n1103  :  BIT;
signal     n1105  :  BIT;
signal     n589  :  BIT;
signal     n1099  :  BIT;
signal     n1101  :  BIT;
signal     n590  :  BIT;
signal     n1039  :  BIT;
signal     n1095  :  BIT;
signal     n975  :  BIT;
signal     n1097  :  BIT;
signal     n817  :  BIT;
signal     n865  :  BIT;
signal     n592  :  BIT;
signal     n900  :  BIT;
signal     n1089  :  BIT;
signal     n1091  :  BIT;
signal     n863  :  BIT;
signal     n857  :  BIT;
signal     n1093  :  BIT;
signal     n591  :  BIT;
signal     n906  :  BIT;
signal     n595  :  BIT;
signal     n1019  :  BIT;
signal     n597  :  BIT;
signal     n598  :  BIT;
signal     n1085  :  BIT;
signal     n1087  :  BIT;
signal     n599  :  BIT;
signal     n1081  :  BIT;
signal     n1083  :  BIT;
signal     n600  :  BIT;
signal     n1042  :  BIT;
signal     n1077  :  BIT;
signal     n978  :  BIT;
signal     n1079  :  BIT;
signal     n823  :  BIT;
signal     n871  :  BIT;
signal     n1232  :  BIT;
signal     n1071  :  BIT;
signal     n1073  :  BIT;
signal     n601  :  BIT;
signal     n872  :  BIT;
signal     n1075  :  BIT;
signal     n606  :  BIT;
signal     n1021  :  BIT;
signal     n608  :  BIT;
signal     n609  :  BIT;
signal     n1067  :  BIT;
signal     n1069  :  BIT;
signal     n610  :  BIT;
signal     n1063  :  BIT;
signal     n1065  :  BIT;
signal     n611  :  BIT;
signal     n1045  :  BIT;
signal     n1059  :  BIT;
signal     n982  :  BIT;
signal     n1061  :  BIT;
signal     n829  :  BIT;
signal     n877  :  BIT;
signal     n613  :  BIT;
signal     n1235  :  BIT;
signal     n1051  :  BIT;
signal     n1053  :  BIT;
signal     n109  :  BIT;
signal     nG0_7  :  BIT;
signal     n879  :  BIT;
signal     n111  :  BIT;
signal     nG2_7  :  BIT;
signal     n222  :  BIT;
signal     n215  :  BIT;
signal     n716  :  BIT;
signal     n1047  :  BIT;
signal     n1049  :  BIT;
signal     n1211  :  BIT;
signal     n1213  :  BIT;
signal     n1225  :  BIT;

begin
inport_0 : inport port map (
    I0 => CADD(0),
    O0 => nCADD_0);
inport_1 : inport port map (
    I0 => CSUB(0),
    O0 => nCSUB_0);
inport_2 : inport port map (
    I0 => I0(0),
    O0 => nI0_0);
inport_3 : inport port map (
    I0 => I0(1),
    O0 => nI0_1);
inport_4 : inport port map (
    I0 => I0(2),
    O0 => nI0_2);
inport_5 : inport port map (
    I0 => I0(3),
    O0 => nI0_3);
inport_6 : inport port map (
    I0 => I0(4),
    O0 => nI0_4);
inport_7 : inport port map (
    I0 => I0(5),
    O0 => nI0_5);
inport_8 : inport port map (
    I0 => I0(6),
    O0 => nI0_6);
inport_9 : inport port map (
    I0 => I0(7),
    O0 => nI0_7);
inport_10 : inport port map (
    I0 => I1(0),
    O0 => nI1_0);
inport_11 : inport port map (
    I0 => I1(1),
    O0 => nI1_1);
inport_12 : inport port map (
    I0 => I1(2),
    O0 => nI1_2);
inport_13 : inport port map (
    I0 => I1(3),
    O0 => nI1_3);
inport_14 : inport port map (
    I0 => I1(4),
    O0 => nI1_4);
inport_15 : inport port map (
    I0 => I1(5),
    O0 => nI1_5);
inport_16 : inport port map (
    I0 => I1(6),
    O0 => nI1_6);
inport_17 : inport port map (
    I0 => I1(7),
    O0 => nI1_7);
inport_18 : inport port map (
    I0 => ICIN(0),
    O0 => nICIN_0);
outport_19 : outport port map (
    I0 => n202,
    O0 => O0(0));
outport_20 : outport port map (
    I0 => n201,
    O0 => O0(1));
outport_21 : outport port map (
    I0 => n200,
    O0 => O0(2));
outport_22 : outport port map (
    I0 => n199,
    O0 => O0(3));
outport_23 : outport port map (
    I0 => n198,
    O0 => O0(4));
outport_24 : outport port map (
    I0 => n197,
    O0 => O0(5));
outport_25 : outport port map (
    I0 => n196,
    O0 => O0(6));
outport_26 : outport port map (
    I0 => n195,
    O0 => O0(7));
outport_27 : outport port map (
    I0 => n194,
    O0 => OCOUT(0));
outport_28 : outport port map (
    I0 => n9,
    O0 => O1(0));
outport_29 : outport port map (
    I0 => n717,
    O0 => OZERO(0));
outport_30 : outport port map (
    I0 => n193,
    O0 => OVF(0));
nand2_31 : nand2 port map (
    I0 => nI1_0,
    I1 => nCADD_0,
    O0 => n1185);
inv_32 : inv port map (
    I0 => nCADD_0,
    O0 => n541);
inv_33 : inv port map (
    I0 => nCSUB_0,
    O0 => n539);
nand2_34 : nand2 port map (
    I0 => n541,
    I1 => n539,
    O0 => n1007);
nand2_35 : nand2 port map (
    I0 => n1007,
    I1 => nI0_0,
    O0 => n546);
nand2_36 : nand2 port map (
    I0 => n541,
    I1 => n539,
    O0 => n1005);
nand2_37 : nand2 port map (
    I0 => n1005,
    I1 => nICIN_0,
    O0 => n544);
inv_38 : inv port map (
    I0 => n544,
    O0 => n719);
nand2_39 : nand2 port map (
    I0 => n546,
    I1 => n719,
    O0 => n1179);
inv_40 : inv port map (
    I0 => n1223,
    O0 => n1181);
nand2_41 : nand2 port map (
    I0 => n1179,
    I1 => n1181,
    O0 => n547);
inv_42 : inv port map (
    I0 => n1217,
    O0 => n1175);
nand2_43 : nand2 port map (
    I0 => n547,
    I1 => n1214,
    O0 => n1177);
nand2_44 : nand2 port map (
    I0 => n1175,
    I1 => n1177,
    O0 => n202);
nand2_45 : nand2 port map (
    I0 => n546,
    I1 => n1214,
    O0 => n836);
nand2_46 : nand2 port map (
    I0 => n836,
    I1 => n719,
    O0 => n1173);
nand2_47 : nand2 port map (
    I0 => n541,
    I1 => n539,
    O0 => n1009);
nand2_48 : nand2 port map (
    I0 => n1009,
    I1 => nI0_1,
    O0 => n551);
inv_49 : inv port map (
    I0 => nI1_1,
    O0 => n552);
nand2_50 : nand2 port map (
    I0 => n552,
    I1 => nCSUB_0,
    O0 => n1169);
nand2_51 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_1,
    O0 => n1171);
nand2_52 : nand2 port map (
    I0 => n1169,
    I1 => n1171,
    O0 => n553);
or2_53 : or2 port map (
    I0 => n551,
    I1 => n553,
    O0 => n1165);
nand2_54 : nand2 port map (
    I0 => n551,
    I1 => n553,
    O0 => n1167);
nand2_55 : nand2 port map (
    I0 => n1165,
    I1 => n1167,
    O0 => n554);
inv_56 : inv port map (
    I0 => n1229,
    O0 => n1161);
nand2_57 : nand2 port map (
    I0 => n554,
    I1 => n1226,
    O0 => n1163);
nand2_58 : nand2 port map (
    I0 => n1161,
    I1 => n1163,
    O0 => n201);
inv_59 : inv port map (
    I0 => n553,
    O0 => n793);
nand2_60 : nand2 port map (
    I0 => n551,
    I1 => n793,
    O0 => n841);
nand2_61 : nand2 port map (
    I0 => n836,
    I1 => n841,
    O0 => n556);
nor2_62 : nor2 port map (
    I0 => n544,
    I1 => n556,
    O0 => n175);
or2_63 : or2 port map (
    I0 => n793,
    I1 => n551,
    O0 => n839);
nand2_64 : nand2 port map (
    I0 => n841,
    I1 => n1220,
    O0 => n1159);
nand2_65 : nand2 port map (
    I0 => n839,
    I1 => n1159,
    O0 => n555);
or2_66 : or2 port map (
    I0 => n175,
    I1 => n555,
    O0 => n557);
nand2_67 : nand2 port map (
    I0 => n541,
    I1 => n539,
    O0 => n1011);
nand2_68 : nand2 port map (
    I0 => n1011,
    I1 => nI0_2,
    O0 => n559);
inv_69 : inv port map (
    I0 => nI1_2,
    O0 => n560);
nand2_70 : nand2 port map (
    I0 => n560,
    I1 => nCSUB_0,
    O0 => n1153);
nand2_71 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_2,
    O0 => n1155);
nand2_72 : nand2 port map (
    I0 => n1153,
    I1 => n1155,
    O0 => n561);
or2_73 : or2 port map (
    I0 => n559,
    I1 => n561,
    O0 => n1149);
nand2_74 : nand2 port map (
    I0 => n559,
    I1 => n561,
    O0 => n1151);
nand2_75 : nand2 port map (
    I0 => n1149,
    I1 => n1151,
    O0 => n562);
inv_76 : inv port map (
    I0 => n562,
    O0 => n1030);
nand2_77 : nand2 port map (
    I0 => n557,
    I1 => n1030,
    O0 => n1145);
inv_78 : inv port map (
    I0 => n557,
    O0 => n966);
nand2_79 : nand2 port map (
    I0 => n562,
    I1 => n966,
    O0 => n1147);
nand2_80 : nand2 port map (
    I0 => n1145,
    I1 => n1147,
    O0 => n200);
inv_81 : inv port map (
    I0 => n561,
    O0 => n799);
nand2_82 : nand2 port map (
    I0 => n559,
    I1 => n799,
    O0 => n847);
inv_83 : inv port map (
    I0 => n556,
    O0 => n880);
nand3_84 : nand3 port map (
    I0 => n719,
    I1 => n847,
    I2 => n880,
    O0 => n1141);
or2_85 : or2 port map (
    I0 => n799,
    I1 => n559,
    O0 => n563);
nand2_86 : nand2 port map (
    I0 => n847,
    I1 => n555,
    O0 => n1143);
nand3_87 : nand3 port map (
    I0 => n1141,
    I1 => n563,
    I2 => n1143,
    O0 => n566);
nand2_88 : nand2 port map (
    I0 => n541,
    I1 => n539,
    O0 => n1013);
nand2_89 : nand2 port map (
    I0 => n1013,
    I1 => nI0_3,
    O0 => n568);
inv_90 : inv port map (
    I0 => nI1_3,
    O0 => n569);
nand2_91 : nand2 port map (
    I0 => n569,
    I1 => nCSUB_0,
    O0 => n1137);
nand2_92 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_3,
    O0 => n1139);
nand2_93 : nand2 port map (
    I0 => n1137,
    I1 => n1139,
    O0 => n570);
or2_94 : or2 port map (
    I0 => n568,
    I1 => n570,
    O0 => n1133);
nand2_95 : nand2 port map (
    I0 => n568,
    I1 => n570,
    O0 => n1135);
nand2_96 : nand2 port map (
    I0 => n1133,
    I1 => n1135,
    O0 => n571);
inv_97 : inv port map (
    I0 => n571,
    O0 => n1033);
nand2_98 : nand2 port map (
    I0 => n566,
    I1 => n1033,
    O0 => n1129);
inv_99 : inv port map (
    I0 => n566,
    O0 => n969);
nand2_100 : nand2 port map (
    I0 => n571,
    I1 => n969,
    O0 => n1131);
nand2_101 : nand2 port map (
    I0 => n1129,
    I1 => n1131,
    O0 => n199);
inv_102 : inv port map (
    I0 => n570,
    O0 => n805);
nand2_103 : nand2 port map (
    I0 => n568,
    I1 => n805,
    O0 => n853);
nand2_104 : nand2 port map (
    I0 => n847,
    I1 => n853,
    O0 => n573);
inv_105 : inv port map (
    I0 => n573,
    O0 => n892);
nand2_106 : nand2 port map (
    I0 => n880,
    I1 => n892,
    O0 => n575);
nor2_107 : nor2 port map (
    I0 => n544,
    I1 => n575,
    O0 => n153);
nand2_108 : nand2 port map (
    I0 => n555,
    I1 => n892,
    O0 => n1125);
nor2_109 : nor2 port map (
    I0 => n805,
    I1 => n568,
    O0 => nG0_3);
inv_110 : inv port map (
    I0 => n853,
    O0 => n855);
nor2_111 : nor2 port map (
    I0 => n855,
    I1 => n563,
    O0 => n157);
nor2_112 : nor2 port map (
    I0 => nG0_3,
    I1 => n157,
    O0 => nG1_3);
nand2_113 : nand2 port map (
    I0 => n1125,
    I1 => nG1_3,
    O0 => n574);
or2_114 : or2 port map (
    I0 => n153,
    I1 => n574,
    O0 => n576);
nand2_115 : nand2 port map (
    I0 => n541,
    I1 => n539,
    O0 => n1015);
nand2_116 : nand2 port map (
    I0 => n1015,
    I1 => nI0_4,
    O0 => n578);
inv_117 : inv port map (
    I0 => nI1_4,
    O0 => n579);
nand2_118 : nand2 port map (
    I0 => n579,
    I1 => nCSUB_0,
    O0 => n1119);
nand2_119 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_4,
    O0 => n1121);
nand2_120 : nand2 port map (
    I0 => n1119,
    I1 => n1121,
    O0 => n580);
or2_121 : or2 port map (
    I0 => n578,
    I1 => n580,
    O0 => n1115);
nand2_122 : nand2 port map (
    I0 => n578,
    I1 => n580,
    O0 => n1117);
nand2_123 : nand2 port map (
    I0 => n1115,
    I1 => n1117,
    O0 => n581);
inv_124 : inv port map (
    I0 => n581,
    O0 => n1036);
nand2_125 : nand2 port map (
    I0 => n576,
    I1 => n1036,
    O0 => n1111);
inv_126 : inv port map (
    I0 => n576,
    O0 => n972);
nand2_127 : nand2 port map (
    I0 => n581,
    I1 => n972,
    O0 => n1113);
nand2_128 : nand2 port map (
    I0 => n1111,
    I1 => n1113,
    O0 => n198);
inv_129 : inv port map (
    I0 => n580,
    O0 => n811);
nand2_130 : nand2 port map (
    I0 => n578,
    I1 => n811,
    O0 => n859);
inv_131 : inv port map (
    I0 => n575,
    O0 => n918);
nand3_132 : nand3 port map (
    I0 => n719,
    I1 => n859,
    I2 => n918,
    O0 => n1107);
or2_133 : or2 port map (
    I0 => n811,
    I1 => n578,
    O0 => n582);
nand2_134 : nand2 port map (
    I0 => n859,
    I1 => n574,
    O0 => n1109);
nand3_135 : nand3 port map (
    I0 => n1107,
    I1 => n582,
    I2 => n1109,
    O0 => n585);
nand2_136 : nand2 port map (
    I0 => n541,
    I1 => n539,
    O0 => n1017);
nand2_137 : nand2 port map (
    I0 => n1017,
    I1 => nI0_5,
    O0 => n587);
inv_138 : inv port map (
    I0 => nI1_5,
    O0 => n588);
nand2_139 : nand2 port map (
    I0 => n588,
    I1 => nCSUB_0,
    O0 => n1103);
nand2_140 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_5,
    O0 => n1105);
nand2_141 : nand2 port map (
    I0 => n1103,
    I1 => n1105,
    O0 => n589);
or2_142 : or2 port map (
    I0 => n587,
    I1 => n589,
    O0 => n1099);
nand2_143 : nand2 port map (
    I0 => n587,
    I1 => n589,
    O0 => n1101);
nand2_144 : nand2 port map (
    I0 => n1099,
    I1 => n1101,
    O0 => n590);
inv_145 : inv port map (
    I0 => n590,
    O0 => n1039);
nand2_146 : nand2 port map (
    I0 => n585,
    I1 => n1039,
    O0 => n1095);
inv_147 : inv port map (
    I0 => n585,
    O0 => n975);
nand2_148 : nand2 port map (
    I0 => n590,
    I1 => n975,
    O0 => n1097);
nand2_149 : nand2 port map (
    I0 => n1095,
    I1 => n1097,
    O0 => n197);
inv_150 : inv port map (
    I0 => n589,
    O0 => n817);
nand2_151 : nand2 port map (
    I0 => n587,
    I1 => n817,
    O0 => n865);
nand2_152 : nand2 port map (
    I0 => n859,
    I1 => n865,
    O0 => n592);
inv_153 : inv port map (
    I0 => n592,
    O0 => n900);
nand3_154 : nand3 port map (
    I0 => n719,
    I1 => n918,
    I2 => n900,
    O0 => n1089);
nand2_155 : nand2 port map (
    I0 => n574,
    I1 => n900,
    O0 => n1091);
or2_156 : or2 port map (
    I0 => n817,
    I1 => n587,
    O0 => n863);
inv_157 : inv port map (
    I0 => n582,
    O0 => n857);
nand2_158 : nand2 port map (
    I0 => n865,
    I1 => n857,
    O0 => n1093);
nand2_159 : nand2 port map (
    I0 => n863,
    I1 => n1093,
    O0 => n591);
inv_160 : inv port map (
    I0 => n591,
    O0 => n906);
nand3_161 : nand3 port map (
    I0 => n1089,
    I1 => n1091,
    I2 => n906,
    O0 => n595);
nand2_162 : nand2 port map (
    I0 => n541,
    I1 => n539,
    O0 => n1019);
nand2_163 : nand2 port map (
    I0 => n1019,
    I1 => nI0_6,
    O0 => n597);
inv_164 : inv port map (
    I0 => nI1_6,
    O0 => n598);
nand2_165 : nand2 port map (
    I0 => n598,
    I1 => nCSUB_0,
    O0 => n1085);
nand2_166 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_6,
    O0 => n1087);
nand2_167 : nand2 port map (
    I0 => n1085,
    I1 => n1087,
    O0 => n599);
or2_168 : or2 port map (
    I0 => n597,
    I1 => n599,
    O0 => n1081);
nand2_169 : nand2 port map (
    I0 => n597,
    I1 => n599,
    O0 => n1083);
nand2_170 : nand2 port map (
    I0 => n1081,
    I1 => n1083,
    O0 => n600);
inv_171 : inv port map (
    I0 => n600,
    O0 => n1042);
nand2_172 : nand2 port map (
    I0 => n595,
    I1 => n1042,
    O0 => n1077);
inv_173 : inv port map (
    I0 => n595,
    O0 => n978);
nand2_174 : nand2 port map (
    I0 => n600,
    I1 => n978,
    O0 => n1079);
nand2_175 : nand2 port map (
    I0 => n1077,
    I1 => n1079,
    O0 => n196);
inv_176 : inv port map (
    I0 => n599,
    O0 => n823);
nand2_177 : nand2 port map (
    I0 => n597,
    I1 => n823,
    O0 => n871);
nand3_178 : nand3 port map (
    I0 => n719,
    I1 => n918,
    I2 => n1232,
    O0 => n1071);
nand2_179 : nand2 port map (
    I0 => n574,
    I1 => n1232,
    O0 => n1073);
or2_180 : or2 port map (
    I0 => n823,
    I1 => n597,
    O0 => n601);
inv_181 : inv port map (
    I0 => n871,
    O0 => n872);
or2_182 : or2 port map (
    I0 => n872,
    I1 => n906,
    O0 => n1075);
nand4_183 : nand4 port map (
    I0 => n1071,
    I1 => n1073,
    I2 => n601,
    I3 => n1075,
    O0 => n606);
nand2_184 : nand2 port map (
    I0 => n541,
    I1 => n539,
    O0 => n1021);
nand2_185 : nand2 port map (
    I0 => n1021,
    I1 => nI0_7,
    O0 => n608);
inv_186 : inv port map (
    I0 => nI1_7,
    O0 => n609);
nand2_187 : nand2 port map (
    I0 => n609,
    I1 => nCSUB_0,
    O0 => n1067);
nand2_188 : nand2 port map (
    I0 => nCADD_0,
    I1 => nI1_7,
    O0 => n1069);
nand2_189 : nand2 port map (
    I0 => n1067,
    I1 => n1069,
    O0 => n610);
or2_190 : or2 port map (
    I0 => n608,
    I1 => n610,
    O0 => n1063);
nand2_191 : nand2 port map (
    I0 => n608,
    I1 => n610,
    O0 => n1065);
nand2_192 : nand2 port map (
    I0 => n1063,
    I1 => n1065,
    O0 => n611);
inv_193 : inv port map (
    I0 => n611,
    O0 => n1045);
nand2_194 : nand2 port map (
    I0 => n606,
    I1 => n1045,
    O0 => n1059);
inv_195 : inv port map (
    I0 => n606,
    O0 => n982);
nand2_196 : nand2 port map (
    I0 => n611,
    I1 => n982,
    O0 => n1061);
nand2_197 : nand2 port map (
    I0 => n1059,
    I1 => n1061,
    O0 => n195);
inv_198 : inv port map (
    I0 => n610,
    O0 => n829);
nand2_199 : nand2 port map (
    I0 => n608,
    I1 => n829,
    O0 => n877);
nand2_200 : nand2 port map (
    I0 => n871,
    I1 => n877,
    O0 => n613);
nand3_201 : nand3 port map (
    I0 => n719,
    I1 => n918,
    I2 => n1235,
    O0 => n1051);
nand2_202 : nand2 port map (
    I0 => n574,
    I1 => n1235,
    O0 => n1053);
nor2_203 : nor2 port map (
    I0 => n906,
    I1 => n613,
    O0 => n109);
nor2_204 : nor2 port map (
    I0 => n829,
    I1 => n608,
    O0 => nG0_7);
inv_205 : inv port map (
    I0 => n877,
    O0 => n879);
nor2_206 : nor2 port map (
    I0 => n879,
    I1 => n601,
    O0 => n111);
nor3_207 : nor3 port map (
    I0 => n109,
    I1 => nG0_7,
    I2 => n111,
    O0 => nG2_7);
nand3_208 : nand3 port map (
    I0 => n1051,
    I1 => n1053,
    I2 => nG2_7,
    O0 => n194);
zero_209 : zero port map (
    O0 => n9);
nor4_210 : nor4 port map (
    I0 => n201,
    I1 => n202,
    I2 => n199,
    I3 => n200,
    O0 => n222);
nor4_211 : nor4 port map (
    I0 => n197,
    I1 => n198,
    I2 => n195,
    I3 => n196,
    O0 => n215);
nand2_212 : nand2 port map (
    I0 => n222,
    I1 => n215,
    O0 => n716);
inv_213 : inv port map (
    I0 => n716,
    O0 => n717);
or2_214 : or2 port map (
    I0 => n982,
    I1 => n194,
    O0 => n1047);
nand2_215 : nand2 port map (
    I0 => n194,
    I1 => n982,
    O0 => n1049);
nand2_216 : nand2 port map (
    I0 => n1047,
    I1 => n1049,
    O0 => n193);
nor2_217 : nor2 port map (
    I0 => nI1_0,
    I1 => n539,
    O0 => n1211);
inv_218 : inv port map (
    I0 => n1185,
    O0 => n1213);
nor2_219 : nor2 port map (
    I0 => n1211,
    I1 => n1213,
    O0 => n1214);
nor2_220 : nor2 port map (
    I0 => n1214,
    I1 => n547,
    O0 => n1217);
nor2_221 : nor2 port map (
    I0 => n1214,
    I1 => n546,
    O0 => n1220);
nor2_222 : nor2 port map (
    I0 => n719,
    I1 => n546,
    O0 => n1223);
inv_223 : inv port map (
    I0 => n1173,
    O0 => n1225);
nor2_224 : nor2 port map (
    I0 => n1220,
    I1 => n1225,
    O0 => n1226);
nor2_225 : nor2 port map (
    I0 => n1226,
    I1 => n554,
    O0 => n1229);
nor2_226 : nor2 port map (
    I0 => n872,
    I1 => n592,
    O0 => n1232);
nor2_227 : nor2 port map (
    I0 => n592,
    I1 => n613,
    O0 => n1235);
end CU_ALU_51L19213C2H2_str_arch;
