entity ALU_51O1E4U3B1 is 

  port(
    CSUB0 : IN BIT;
    CADD0 : IN BIT;
    CINC0 : IN BIT;
    CLEQ0 : IN BIT;
    CLT0 : IN BIT;
    I00 : IN BIT;
    I01 : IN BIT;
    I02 : IN BIT;
    I03 : IN BIT;
    I04 : IN BIT;
    I05 : IN BIT;
    I06 : IN BIT;
    I07 : IN BIT;
    I10 : IN BIT;
    I11 : IN BIT;
    I12 : IN BIT;
    I13 : IN BIT;
    I14 : IN BIT;
    I15 : IN BIT;
    I16 : IN BIT;
    I17 : IN BIT;
    ICIN0 : IN BIT;
    O00 : OUT BIT  ; 
    O01 : OUT BIT  ; 
    O02 : OUT BIT  ; 
    O03 : OUT BIT  ; 
    O04 : OUT BIT  ; 
    O05 : OUT BIT  ; 
    O06 : OUT BIT  ; 
    O07 : OUT BIT  ; 
    OCOUT0 : OUT BIT  ; 
    O10 : OUT BIT  ; 
    OZERO0 : OUT BIT  ; 
    OVF0 : OUT BIT   );

end ALU_51O1E4U3B1 ;


-- LAYOUT_STYLE STANDARD_CELL


architecture Structure_View of ALU_51O1E4U3B1 is

Component inv1
  port (D : in BIT;
        O0 : out BIT);
end component;

Component nand2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component nand3
  port (I0 : in BIT;
        I1 : in BIT;
        I2 : in BIT;
        O0 : out BIT);
end component;

Component nor3
  port (I0 : in BIT;
        I1 : in BIT;
        I2 : in BIT;
        O0 : out BIT);
end component;

Component or2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component nor2
  port (I0 : in BIT;
        I1 : in BIT;
        O0 : out BIT);
end component;

Component nor4
  port (I0 : in BIT;
        I1 : in BIT;
        I2 : in BIT;
        I3 : in BIT;
        O0 : out BIT);
end component;

Component inport
  port (D : in BIT;
        O0 : out BIT);
end component;

Component outport
  port (D : in BIT;
        O0 : out BIT);
end component;


  attribute celltype : integer;
  attribute celltype of inv1 : label is 0;
  attribute celltype of nand2 : label is 0;
  attribute celltype of nand3 : label is 0;
  attribute celltype of nor3 : label is 0;
  attribute celltype of or2 : label is 0;
  attribute celltype of nor2 : label is 0;
  attribute celltype of nor4 : label is 0;
  attribute celltype of latchd : label is 0;
  attribute celltype of inport : label is 0;
  attribute celltype of outport : label is 0;


  signal n9: BIT ; 
  signal n86: BIT ; 
  signal n104: BIT ; 
  signal n105: BIT ; 
  signal n106: BIT ; 
  signal n107: BIT ; 
  signal n108: BIT ; 
  signal n109: BIT ; 
  signal n110: BIT ; 
  signal n111: BIT ; 
  signal n189: BIT ; 
  signal n190: BIT ; 
  signal n191: BIT ; 
  signal n192: BIT ; 
  signal n193: BIT ; 
  signal n194: BIT ; 
  signal n195: BIT ; 
  signal n196: BIT ; 
  signal n197: BIT ; 
  signal n198: BIT ; 
  signal n211: BIT ; 
  signal n218: BIT ; 
  signal n262: BIT ; 
  signal n302: BIT ; 
  signal n342: BIT ; 
  signal n382: BIT ; 
  signal n422: BIT ; 
  signal n462: BIT ; 
  signal n502: BIT ; 
  signal n532: BIT ; 
  signal n554: BIT ; 
  signal n561: BIT ; 
  signal n566: BIT ; 
  signal n567: BIT ; 
  signal n568: BIT ; 
  signal n573: BIT ; 
  signal n574: BIT ; 
  signal n576: BIT ; 
  signal n577: BIT ; 
  signal n578: BIT ; 
  signal n583: BIT ; 
  signal n584: BIT ; 
  signal n586: BIT ; 
  signal n587: BIT ; 
  signal n588: BIT ; 
  signal n593: BIT ; 
  signal n594: BIT ; 
  signal n596: BIT ; 
  signal n597: BIT ; 
  signal n598: BIT ; 
  signal n603: BIT ; 
  signal n604: BIT ; 
  signal n606: BIT ; 
  signal n607: BIT ; 
  signal n608: BIT ; 
  signal n613: BIT ; 
  signal n614: BIT ; 
  signal n616: BIT ; 
  signal n617: BIT ; 
  signal n618: BIT ; 
  signal n623: BIT ; 
  signal n624: BIT ; 
  signal n626: BIT ; 
  signal n627: BIT ; 
  signal n628: BIT ; 
  signal n633: BIT ; 
  signal n634: BIT ; 
  signal n636: BIT ; 
  signal n637: BIT ; 
  signal n644: BIT ; 
  signal n716: BIT ; 
  signal n779: BIT ; 
  signal n780: BIT ; 
  signal n788: BIT ; 
  signal n794: BIT ; 
  signal n800: BIT ; 
  signal n806: BIT ; 
  signal n812: BIT ; 
  signal n818: BIT ; 
  signal n824: BIT ; 
  signal n830: BIT ; 
  signal n883: BIT ; 
  signal n887: BIT ; 
  signal n891: BIT ; 
  signal n895: BIT ; 
  signal n899: BIT ; 
  signal n903: BIT ; 
  signal n908: BIT ; 
  signal n934: BIT ; 
  signal n936: BIT ; 
  signal n938: BIT ; 
  signal n940: BIT ; 
  signal n942: BIT ; 
  signal n944: BIT ; 
  signal n946: BIT ; 
  signal n948: BIT ; 
  signal n950: BIT ; 
  signal n954: BIT ; 
  signal n956: BIT ; 
  signal n958: BIT ; 
  signal n960: BIT ; 
  signal n962: BIT ; 
  signal n964: BIT ; 
  signal n966: BIT ; 
  signal n1006: BIT ; 
  signal n1008: BIT ; 
  signal n1010: BIT ; 
  signal n1012: BIT ; 
  signal n1014: BIT ; 
  signal n1020: BIT ; 
  signal n1022: BIT ; 
  signal n1024: BIT ; 
  signal n1026: BIT ; 
  signal n1028: BIT ; 
  signal n1030: BIT ; 
  signal n1032: BIT ; 
  signal n1034: BIT ; 
  signal n1036: BIT ; 
  signal n1038: BIT ; 
  signal n1040: BIT ; 
  signal n1042: BIT ; 
  signal n1044: BIT ; 
  signal n1046: BIT ; 
  signal n1048: BIT ; 
  signal n1050: BIT ; 
  signal n1052: BIT ; 
  signal n1054: BIT ; 
  signal n1056: BIT ; 
  signal n1058: BIT ; 
  signal n1060: BIT ; 
  signal n1062: BIT ; 
  signal n1064: BIT ; 
  signal n1066: BIT ; 
  signal n1068: BIT ; 
  signal n1070: BIT ; 
  signal n1072: BIT ; 
  signal n1074: BIT ; 
  signal n1076: BIT ; 
  signal n1078: BIT ; 
  signal n1080: BIT ; 
  signal n1082: BIT ; 
  signal n1084: BIT ; 
  signal n1086: BIT ; 
  signal n1088: BIT ; 
  signal n1090: BIT ; 
  signal n1092: BIT ; 
  signal n1094: BIT ; 
  signal n1096: BIT ; 
  signal n1098: BIT ; 
  signal n1100: BIT ; 
  signal n1102: BIT ; 
  signal n1104: BIT ; 
  signal n1106: BIT ; 
  signal n1108: BIT ; 
  signal n1110: BIT ; 
  signal n1112: BIT ; 
  signal n1114: BIT ; 
  signal n1116: BIT ; 
  signal n1118: BIT ; 
  signal n1120: BIT ; 
  signal n1122: BIT ; 
  signal n1124: BIT ; 
  signal n1126: BIT ; 
  signal n1128: BIT ; 
  signal n1130: BIT ; 
  signal n1132: BIT ; 
  signal n1134: BIT ; 
  signal n1136: BIT ; 
  signal n1140: BIT ; 
  signal n1235: BIT ; 
  signal n1239: BIT ; 
  signal n1242: BIT ; 
  signal n1244: BIT ; 
  signal n1245: BIT ; 
  signal n1248: BIT ; 
  signal n1251: BIT ; 
  signal n1254: BIT ; 
  signal n1257: BIT ; 
  signal n1260: BIT ; 
  signal n1263: BIT ; 
  signal n1266: BIT ; 
  signal n1269: BIT ; 
  signal n1272: BIT ; 
  signal n1275: BIT ; 
  signal CSUB0_PORT : BIT ; 
  signal CADD0_PORT : BIT ; 
  signal CINC0_PORT : BIT ; 
  signal CLEQ0_PORT : BIT ; 
  signal CLT0_PORT : BIT ; 
  signal I00_PORT : BIT ; 
  signal I01_PORT : BIT ; 
  signal I02_PORT : BIT ; 
  signal I03_PORT : BIT ; 
  signal I04_PORT : BIT ; 
  signal I05_PORT : BIT ; 
  signal I06_PORT : BIT ; 
  signal I07_PORT : BIT ; 
  signal I10_PORT : BIT ; 
  signal I11_PORT : BIT ; 
  signal I12_PORT : BIT ; 
  signal I13_PORT : BIT ; 
  signal I14_PORT : BIT ; 
  signal I15_PORT : BIT ; 
  signal I16_PORT : BIT ; 
  signal I17_PORT : BIT ; 
  signal ICIN0_PORT : BIT ; 

begin

inv1_0 : inv1 port map (D => CLT0_PORT, O0 => n716);

inv1_1 : inv1 port map (D => CSUB0_PORT, O0 => n644);

inv1_2 : inv1 port map (D => CLEQ0_PORT, O0 => n554);

nand2_0 : nand2 port map (I0 => I10_PORT, I1 => CADD0_PORT, O0 => n1140);

inv1_3 : inv1 port map (D => n1239, O0 => n934);

nand2_1 : nand2 port map (I0 => n934, I1 => ICIN0_PORT, O0 => n1136);

nand3_0 : nand3 port map (I0 => CLEQ0_PORT, I1 => n716, I2 => n1136, O0 => n561);

nor3_0 : nor3 port map (I0 => CINC0_PORT, I1 => CSUB0_PORT, I2 => CADD0_PORT, O0 => n532);

nand3_1 : nand3 port map (I0 => n532, I1 => n554, I2 => n716, O0 => n936);

nand2_2 : nand2 port map (I0 => n936, I1 => I00_PORT, O0 => n566);

nand2_3 : nand2 port map (I0 => n561, I1 => n566, O0 => n1132);

or2_0 : or2 port map (I0 => n561, I1 => n566, O0 => n1134);

nand2_4 : nand2 port map (I0 => n1132, I1 => n1134, O0 => n567);

inv1_4 : inv1 port map (D => n1248, O0 => n1128);

nand2_5 : nand2 port map (I0 => n567, I1 => n1245, O0 => n1130);

nand2_6 : nand2 port map (I0 => n1128, I1 => n1130, O0 => n198);

inv1_5 : inv1 port map (D => n566, O0 => n788);

nor2_0 : nor2 port map (I0 => n788, I1 => n561, O0 => n104);

or2_1 : or2 port map (I0 => n1245, I1 => n104, O0 => n1124);

nand2_7 : nand2 port map (I0 => n561, I1 => n788, O0 => n1126);

nand2_8 : nand2 port map (I0 => n1124, I1 => n1126, O0 => n568);

nor3_1 : nor3 port map (I0 => CINC0_PORT, I1 => CSUB0_PORT, I2 => CADD0_PORT, O0 => n502);

nand3_2 : nand3 port map (I0 => n502, I1 => n554, I2 => n716, O0 => n938);

nand2_9 : nand2 port map (I0 => n938, I1 => I01_PORT, O0 => n573);

inv1_6 : inv1 port map (D => I11_PORT, O0 => n574);

nand3_3 : nand3 port map (I0 => n716, I1 => n644, I2 => n554, O0 => n954);

nand2_10 : nand2 port map (I0 => n574, I1 => n954, O0 => n1120);

nand2_11 : nand2 port map (I0 => CADD0_PORT, I1 => I11_PORT, O0 => n1122);

nand2_12 : nand2 port map (I0 => n1120, I1 => n1122, O0 => n576);

or2_2 : or2 port map (I0 => n573, I1 => n576, O0 => n1116);

nand2_13 : nand2 port map (I0 => n573, I1 => n576, O0 => n1118);

nand2_14 : nand2 port map (I0 => n1116, I1 => n1118, O0 => n577);

inv1_7 : inv1 port map (D => n1251, O0 => n1112);

inv1_8 : inv1 port map (D => n568, O0 => n883);

nand2_15 : nand2 port map (I0 => n577, I1 => n883, O0 => n1114);

nand2_16 : nand2 port map (I0 => n1112, I1 => n1114, O0 => n197);

inv1_9 : inv1 port map (D => n573, O0 => n794);

nor2_1 : nor2 port map (I0 => n794, I1 => n576, O0 => n105);

or2_3 : or2 port map (I0 => n883, I1 => n105, O0 => n1108);

nand2_17 : nand2 port map (I0 => n576, I1 => n794, O0 => n1110);

nand2_18 : nand2 port map (I0 => n1108, I1 => n1110, O0 => n578);

nor3_2 : nor3 port map (I0 => CINC0_PORT, I1 => CSUB0_PORT, I2 => CADD0_PORT, O0 => n462);

nand3_4 : nand3 port map (I0 => n462, I1 => n554, I2 => n716, O0 => n940);

nand2_19 : nand2 port map (I0 => n940, I1 => I02_PORT, O0 => n583);

inv1_10 : inv1 port map (D => I12_PORT, O0 => n584);

nand3_5 : nand3 port map (I0 => n716, I1 => n644, I2 => n554, O0 => n956);

nand2_20 : nand2 port map (I0 => n584, I1 => n956, O0 => n1104);

nand2_21 : nand2 port map (I0 => CADD0_PORT, I1 => I12_PORT, O0 => n1106);

nand2_22 : nand2 port map (I0 => n1104, I1 => n1106, O0 => n586);

or2_4 : or2 port map (I0 => n583, I1 => n586, O0 => n1100);

nand2_23 : nand2 port map (I0 => n583, I1 => n586, O0 => n1102);

nand2_24 : nand2 port map (I0 => n1100, I1 => n1102, O0 => n587);

inv1_11 : inv1 port map (D => n1254, O0 => n1096);

inv1_12 : inv1 port map (D => n578, O0 => n887);

nand2_25 : nand2 port map (I0 => n587, I1 => n887, O0 => n1098);

nand2_26 : nand2 port map (I0 => n1096, I1 => n1098, O0 => n196);

inv1_13 : inv1 port map (D => n583, O0 => n800);

nor2_2 : nor2 port map (I0 => n800, I1 => n586, O0 => n106);

or2_5 : or2 port map (I0 => n887, I1 => n106, O0 => n1092);

nand2_27 : nand2 port map (I0 => n586, I1 => n800, O0 => n1094);

nand2_28 : nand2 port map (I0 => n1092, I1 => n1094, O0 => n588);

nor3_3 : nor3 port map (I0 => CINC0_PORT, I1 => CSUB0_PORT, I2 => CADD0_PORT, O0 => n422);

nand3_6 : nand3 port map (I0 => n422, I1 => n554, I2 => n716, O0 => n942);

nand2_29 : nand2 port map (I0 => n942, I1 => I03_PORT, O0 => n593);

inv1_14 : inv1 port map (D => I13_PORT, O0 => n594);

nand3_7 : nand3 port map (I0 => n716, I1 => n644, I2 => n554, O0 => n958);

nand2_30 : nand2 port map (I0 => n594, I1 => n958, O0 => n1088);

nand2_31 : nand2 port map (I0 => CADD0_PORT, I1 => I13_PORT, O0 => n1090);

nand2_32 : nand2 port map (I0 => n1088, I1 => n1090, O0 => n596);

or2_6 : or2 port map (I0 => n593, I1 => n596, O0 => n1084);

nand2_33 : nand2 port map (I0 => n593, I1 => n596, O0 => n1086);

nand2_34 : nand2 port map (I0 => n1084, I1 => n1086, O0 => n597);

inv1_15 : inv1 port map (D => n1257, O0 => n1080);

inv1_16 : inv1 port map (D => n588, O0 => n891);

nand2_35 : nand2 port map (I0 => n597, I1 => n891, O0 => n1082);

nand2_36 : nand2 port map (I0 => n1080, I1 => n1082, O0 => n195);

inv1_17 : inv1 port map (D => n593, O0 => n806);

nor2_3 : nor2 port map (I0 => n806, I1 => n596, O0 => n107);

or2_7 : or2 port map (I0 => n891, I1 => n107, O0 => n1076);

nand2_37 : nand2 port map (I0 => n596, I1 => n806, O0 => n1078);

nand2_38 : nand2 port map (I0 => n1076, I1 => n1078, O0 => n598);

nor3_4 : nor3 port map (I0 => CINC0_PORT, I1 => CSUB0_PORT, I2 => CADD0_PORT, O0 => n382);

nand3_8 : nand3 port map (I0 => n382, I1 => n554, I2 => n716, O0 => n944);

nand2_39 : nand2 port map (I0 => n944, I1 => I04_PORT, O0 => n603);

inv1_18 : inv1 port map (D => I14_PORT, O0 => n604);

nand3_9 : nand3 port map (I0 => n716, I1 => n644, I2 => n554, O0 => n960);

nand2_40 : nand2 port map (I0 => n604, I1 => n960, O0 => n1072);

nand2_41 : nand2 port map (I0 => CADD0_PORT, I1 => I14_PORT, O0 => n1074);

nand2_42 : nand2 port map (I0 => n1072, I1 => n1074, O0 => n606);

or2_8 : or2 port map (I0 => n603, I1 => n606, O0 => n1068);

nand2_43 : nand2 port map (I0 => n603, I1 => n606, O0 => n1070);

nand2_44 : nand2 port map (I0 => n1068, I1 => n1070, O0 => n607);

inv1_19 : inv1 port map (D => n1260, O0 => n1064);

inv1_20 : inv1 port map (D => n598, O0 => n895);

nand2_45 : nand2 port map (I0 => n607, I1 => n895, O0 => n1066);

nand2_46 : nand2 port map (I0 => n1064, I1 => n1066, O0 => n194);

inv1_21 : inv1 port map (D => n603, O0 => n812);

nor2_4 : nor2 port map (I0 => n812, I1 => n606, O0 => n108);

or2_9 : or2 port map (I0 => n895, I1 => n108, O0 => n1060);

nand2_47 : nand2 port map (I0 => n606, I1 => n812, O0 => n1062);

nand2_48 : nand2 port map (I0 => n1060, I1 => n1062, O0 => n608);

nor3_5 : nor3 port map (I0 => CINC0_PORT, I1 => CSUB0_PORT, I2 => CADD0_PORT, O0 => n342);

nand3_10 : nand3 port map (I0 => n342, I1 => n554, I2 => n716, O0 => n946);

nand2_49 : nand2 port map (I0 => n946, I1 => I05_PORT, O0 => n613);

inv1_22 : inv1 port map (D => I15_PORT, O0 => n614);

nand3_11 : nand3 port map (I0 => n716, I1 => n644, I2 => n554, O0 => n962);

nand2_50 : nand2 port map (I0 => n614, I1 => n962, O0 => n1056);

nand2_51 : nand2 port map (I0 => CADD0_PORT, I1 => I15_PORT, O0 => n1058);

nand2_52 : nand2 port map (I0 => n1056, I1 => n1058, O0 => n616);

or2_10 : or2 port map (I0 => n613, I1 => n616, O0 => n1052);

nand2_53 : nand2 port map (I0 => n613, I1 => n616, O0 => n1054);

nand2_54 : nand2 port map (I0 => n1052, I1 => n1054, O0 => n617);

inv1_23 : inv1 port map (D => n1263, O0 => n1048);

inv1_24 : inv1 port map (D => n608, O0 => n899);

nand2_55 : nand2 port map (I0 => n617, I1 => n899, O0 => n1050);

nand2_56 : nand2 port map (I0 => n1048, I1 => n1050, O0 => n193);

inv1_25 : inv1 port map (D => n613, O0 => n818);

nor2_5 : nor2 port map (I0 => n818, I1 => n616, O0 => n109);

or2_11 : or2 port map (I0 => n899, I1 => n109, O0 => n1044);

nand2_57 : nand2 port map (I0 => n616, I1 => n818, O0 => n1046);

nand2_58 : nand2 port map (I0 => n1044, I1 => n1046, O0 => n618);

nor3_6 : nor3 port map (I0 => CINC0_PORT, I1 => CSUB0_PORT, I2 => CADD0_PORT, O0 => n302);

nand3_12 : nand3 port map (I0 => n302, I1 => n554, I2 => n716, O0 => n948);

nand2_59 : nand2 port map (I0 => n948, I1 => I06_PORT, O0 => n623);

inv1_26 : inv1 port map (D => I16_PORT, O0 => n624);

nand3_13 : nand3 port map (I0 => n716, I1 => n644, I2 => n554, O0 => n964);

nand2_60 : nand2 port map (I0 => n624, I1 => n964, O0 => n1040);

nand2_61 : nand2 port map (I0 => CADD0_PORT, I1 => I16_PORT, O0 => n1042);

nand2_62 : nand2 port map (I0 => n1040, I1 => n1042, O0 => n626);

or2_12 : or2 port map (I0 => n623, I1 => n626, O0 => n1036);

nand2_63 : nand2 port map (I0 => n623, I1 => n626, O0 => n1038);

nand2_64 : nand2 port map (I0 => n1036, I1 => n1038, O0 => n627);

inv1_27 : inv1 port map (D => n1266, O0 => n1032);

inv1_28 : inv1 port map (D => n618, O0 => n903);

nand2_65 : nand2 port map (I0 => n627, I1 => n903, O0 => n1034);

nand2_66 : nand2 port map (I0 => n1032, I1 => n1034, O0 => n192);

inv1_29 : inv1 port map (D => n623, O0 => n824);

nor2_6 : nor2 port map (I0 => n824, I1 => n626, O0 => n110);

or2_13 : or2 port map (I0 => n903, I1 => n110, O0 => n1028);

nand2_67 : nand2 port map (I0 => n626, I1 => n824, O0 => n1030);

nand2_68 : nand2 port map (I0 => n1028, I1 => n1030, O0 => n628);

nor3_7 : nor3 port map (I0 => CINC0_PORT, I1 => CSUB0_PORT, I2 => CADD0_PORT, O0 => n262);

nand3_14 : nand3 port map (I0 => n262, I1 => n554, I2 => n716, O0 => n950);

nand2_69 : nand2 port map (I0 => n950, I1 => I07_PORT, O0 => n633);

inv1_30 : inv1 port map (D => I17_PORT, O0 => n634);

nand3_15 : nand3 port map (I0 => n716, I1 => n644, I2 => n554, O0 => n966);

nand2_70 : nand2 port map (I0 => n634, I1 => n966, O0 => n1024);

nand2_71 : nand2 port map (I0 => CADD0_PORT, I1 => I17_PORT, O0 => n1026);

nand2_72 : nand2 port map (I0 => n1024, I1 => n1026, O0 => n636);

or2_14 : or2 port map (I0 => n633, I1 => n636, O0 => n1020);

nand2_73 : nand2 port map (I0 => n633, I1 => n636, O0 => n1022);

nand2_74 : nand2 port map (I0 => n1020, I1 => n1022, O0 => n637);

inv1_31 : inv1 port map (D => n637, O0 => n1006);

inv1_32 : inv1 port map (D => n628, O0 => n908);

inv1_33 : inv1 port map (D => n1275, O0 => n191);

inv1_34 : inv1 port map (D => n633, O0 => n830);

nor2_7 : nor2 port map (I0 => n830, I1 => n636, O0 => n111);

or2_15 : or2 port map (I0 => n908, I1 => n111, O0 => n1012);

nand2_75 : nand2 port map (I0 => n636, I1 => n830, O0 => n1014);

nand2_76 : nand2 port map (I0 => n1012, I1 => n1014, O0 => n190);

nor2_8 : nor2 port map (I0 => CLEQ0_PORT, I1 => CLT0_PORT, O0 => n86);

nor2_9 : nor2 port map (I0 => n1275, I1 => n86, O0 => n9);

nor4_0 : nor4 port map (I0 => n197, I1 => n198, I2 => n195, I3 => n196, O0 => n218);

nor4_1 : nor4 port map (I0 => n193, I1 => n194, I2 => n191, I3 => n192, O0 => n211);

nand2_77 : nand2 port map (I0 => n218, I1 => n211, O0 => n779);

inv1_35 : inv1 port map (D => n779, O0 => n780);

or2_16 : or2 port map (I0 => n908, I1 => n190, O0 => n1008);

nand2_78 : nand2 port map (I0 => n190, I1 => n908, O0 => n1010);

nand2_79 : nand2 port map (I0 => n1008, I1 => n1010, O0 => n189);

nor3_8 : nor3 port map (I0 => CLT0_PORT, I1 => CSUB0_PORT, I2 => CLEQ0_PORT, O0 => n1235);

nor3_9 : nor3 port map (I0 => CINC0_PORT, I1 => CSUB0_PORT, I2 => CADD0_PORT, O0 => n1239);

nor2_10 : nor2 port map (I0 => I10_PORT, I1 => n1235, O0 => n1242);

inv1_36 : inv1 port map (D => n1140, O0 => n1244);

nor2_11 : nor2 port map (I0 => n1242, I1 => n1244, O0 => n1245);

nor2_12 : nor2 port map (I0 => n1245, I1 => n567, O0 => n1248);

nor2_13 : nor2 port map (I0 => n883, I1 => n577, O0 => n1251);

nor2_14 : nor2 port map (I0 => n887, I1 => n587, O0 => n1254);

nor2_15 : nor2 port map (I0 => n891, I1 => n597, O0 => n1257);

nor2_16 : nor2 port map (I0 => n895, I1 => n607, O0 => n1260);

nor2_17 : nor2 port map (I0 => n899, I1 => n617, O0 => n1263);

nor2_18 : nor2 port map (I0 => n903, I1 => n627, O0 => n1266);

nor2_19 : nor2 port map (I0 => n908, I1 => n637, O0 => n1269);

nor2_20 : nor2 port map (I0 => n1006, I1 => n628, O0 => n1272);

nor2_21 : nor2 port map (I0 => n1269, I1 => n1272, O0 => n1275);

inport0 : inport port map (D => CSUB0, O0 => CSUB0_PORT);
inport1 : inport port map (D => CADD0, O0 => CADD0_PORT);
inport2 : inport port map (D => CINC0, O0 => CINC0_PORT);
inport3 : inport port map (D => CLEQ0, O0 => CLEQ0_PORT);
inport4 : inport port map (D => CLT0, O0 => CLT0_PORT);
inport5 : inport port map (D => I00, O0 => I00_PORT);
inport6 : inport port map (D => I01, O0 => I01_PORT);
inport7 : inport port map (D => I02, O0 => I02_PORT);
inport8 : inport port map (D => I03, O0 => I03_PORT);
inport9 : inport port map (D => I04, O0 => I04_PORT);
inport10 : inport port map (D => I05, O0 => I05_PORT);
inport11 : inport port map (D => I06, O0 => I06_PORT);
inport12 : inport port map (D => I07, O0 => I07_PORT);
inport13 : inport port map (D => I10, O0 => I10_PORT);
inport14 : inport port map (D => I11, O0 => I11_PORT);
inport15 : inport port map (D => I12, O0 => I12_PORT);
inport16 : inport port map (D => I13, O0 => I13_PORT);
inport17 : inport port map (D => I14, O0 => I14_PORT);
inport18 : inport port map (D => I15, O0 => I15_PORT);
inport19 : inport port map (D => I16, O0 => I16_PORT);
inport20 : inport port map (D => I17, O0 => I17_PORT);
inport21 : inport port map (D => ICIN0, O0 => ICIN0_PORT);
outport0 : outport port map (D => n198, O0 => O00);
outport1 : outport port map (D => n197, O0 => O01);
outport2 : outport port map (D => n196, O0 => O02);
outport3 : outport port map (D => n195, O0 => O03);
outport4 : outport port map (D => n194, O0 => O04);
outport5 : outport port map (D => n193, O0 => O05);
outport6 : outport port map (D => n192, O0 => O06);
outport7 : outport port map (D => n191, O0 => O07);
outport8 : outport port map (D => n190, O0 => OCOUT0);
outport9 : outport port map (D => n9, O0 => O10);
outport10 : outport port map (D => n780, O0 => OZERO0);
outport11 : outport port map (D => n189, O0 => OVF0);

end Structure_View;

